#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x6ce89895, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x0450ae4b, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x14e4cd79, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xe33fb777, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x35975c58, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x6166ac81, "");
SYMBOL_CRC(dfl_driver_unregister, 0x25c28fe4, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x1a7a5061, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xeae09c0e, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xfa99c55c, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xfd2afda1, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xa4ef90f0, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x9bd0d31d, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x6aaba782, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x3a95d964, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x7ff611ba, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x4107c00c, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x3dd382a8, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x7e7c6639, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x8bb3aed8, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xabc3db1d, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x90b6461d, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x46664d9f, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x5af0f19b, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x75145f34, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x16f40f31, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd6303894, "module_put" },
	{ 0x589acbc6, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb6b4b726, "cdev_init" },
	{ 0x7a172d90, "cdev_add" },
	{ 0xc623ea98, "cdev_del" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9d6a064c, "get_device" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x60b37586, "put_device" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xf565d79, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x81222574, "__devm_request_region" },
	{ 0x838b0bec, "devm_ioremap" },
	{ 0xe378da12, "_dev_err" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc583358, "device_unregister" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc510f884, "devm_platform_ioremap_resource" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x30e4da0c, "device_initialize" },
	{ 0x99789856, "dev_set_name" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x67854f14, "device_add" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0x1a16d2db, "platform_device_del" },
	{ 0x160e7228, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1ef556af, "platform_device_put" },
	{ 0x7add82a4, "device_for_each_child" },
	{ 0x95639dac, "fpga_region_unregister" },
	{ 0xfaed16a1, "platform_device_unregister" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x686ce59e, "devm_ioremap_resource" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0x70f92335, "_dev_info" },
	{ 0xf5d4a0aa, "fpga_region_register" },
	{ 0x5f4c6223, "devm_iounmap" },
	{ 0xa06af0a8, "__devm_release_region" },
	{ 0x5e694b8b, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "5C15E73F17C0D134BDDFFFC");
