#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x20a5eccd, "");
SYMBOL_CRC(drm_gem_vram_put, 0xcb50f299, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x440d884b, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x2bece988, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xac3830ce, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x68c52640, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x813e1aca, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xa36303a2, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xdb76f2a5, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x48a8fffe, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xda9cee22, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x7ea91ee2, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x1ebd244c, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xc9b3d9ab, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xb2b6075c, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x072066eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4afc606, "ttm_range_man_init_nocheck" },
	{ 0x81c372ff, "ww_mutex_lock_interruptible" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9fbac4ab, "ttm_resource_manager_debug" },
	{ 0x406d9040, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xa64c5835, "ttm_range_man_fini_nocheck" },
	{ 0x94d37d81, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3018ee53, "ttm_bo_pin" },
	{ 0x2f3fa423, "dev_driver_string" },
	{ 0x91d057e0, "drm_gem_ttm_mmap" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x905ad497, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4ab4f813, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x43faaefc, "drm_gem_object_release" },
	{ 0xe526f722, "ttm_tt_init" },
	{ 0x4c6ce301, "drm_gem_handle_create" },
	{ 0x8ede0ea4, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x32ee40d5, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0x33c9b04, "drm_debugfs_add_files" },
	{ 0xbc5d53b9, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf726fd45, "ttm_device_init" },
	{ 0x73b3dd6b, "ttm_bo_validate" },
	{ 0xc7bb1f7, "ttm_bo_move_to_lru_tail" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x18519d94, "ttm_bo_vmap" },
	{ 0x96640614, "ttm_bo_put" },
	{ 0x8f82e269, "ttm_resource_free" },
	{ 0x96b95208, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc44dbe64, "ttm_tt_fini" },
	{ 0xac53e92f, "ttm_device_fini" },
	{ 0xfdc38e0d, "drm_gem_plane_helper_prepare_fb" },
	{ 0x951a4f9e, "ttm_bo_eviction_valuable" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x9ea93830, "drm_gem_ttm_print_info" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");
