#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0xd44cc3ee, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x05a53836, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x2cc1c9e1, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x722129cf, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0xd10f06d4, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x55ae186d, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x647dccac, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x9d10cddc, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xd6f388e3, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x8c7336b5, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x22aecd31, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x202419fb, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xd9604fd4, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x6a290fd1, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x1f2472cd, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x5e482c8b, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x9e07df66, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xcc8816a3, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xab1f0357, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x45a6e9c9, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x23a50c49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xde5f8d11, "i2c_smbus_write_byte_data" },
	{ 0xa5f6ef3c, "i2c_smbus_read_byte_data" },
	{ 0x4166e6a2, "i2c_smbus_write_byte" },
	{ 0x6c9e56f3, "i2c_smbus_write_word_data" },
	{ 0xa9123b77, "i2c_smbus_read_word_data" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xaf1841af, "device_remove_file" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdf61a406, "devm_krealloc" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x861c12a8, "debugfs_create_dir" },
	{ 0x7c74d0c8, "debugfs_remove" },
	{ 0x68b2b307, "simple_attr_open" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x583092b9, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5fd706d6, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x118f4dcd, "rdev_get_dev" },
	{ 0xa31c8a58, "rdev_get_id" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x631950d, "thermal_zone_device_priv" },
	{ 0x219f6a4e, "sysfs_notify" },
	{ 0xdeb2294c, "kobject_uevent" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0x311f9748, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe378da12, "_dev_err" },
	{ 0x6b0d810d, "i2c_smbus_xfer" },
	{ 0x95106e94, "device_create_file" },
	{ 0x99f767ef, "__devm_add_action" },
	{ 0xe4e409aa, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x283d94de, "devm_hwmon_device_register_with_groups" },
	{ 0xa719b875, "devm_regulator_register" },
	{ 0x3d2cddcd, "dev_err_probe" },
	{ 0x3d581140, "devm_request_threaded_irq" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb50fb9f, "debugfs_create_file" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0x49e29d93, "noop_llseek" },
	{ 0xd28d3fe6, "simple_open" },
	{ 0x28b7f1ab, "debugfs_attr_read" },
	{ 0xa250d444, "debugfs_attr_write" },
	{ 0x6b8db9ac, "simple_attr_release" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "129D35A766BEF9E515B6649");
