#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xae3620dd, "");
SYMBOL_CRC(flow_resources_alloc, 0x8a438576, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x2a1b5c2e, "");
SYMBOL_CRC(flow_resources_add, 0x282039a4, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x173ed3be, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xd161aa68, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x0d6d9030, "");
SYMBOL_CRC(uverbs_idr_class, 0xee9e9e62, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xf7ff9a6d, "");
SYMBOL_CRC(uverbs_fd_class, 0x00045603, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x98282c61, "");
SYMBOL_CRC(_uverbs_alloc, 0x50019fb6, "");
SYMBOL_CRC(uverbs_get_flags64, 0x6acee40d, "");
SYMBOL_CRC(uverbs_get_flags32, 0x2460041c, "");
SYMBOL_CRC(uverbs_copy_to, 0x7d0a77b6, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x6582a23a, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xd1c4f7e9, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x36476d70, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xa9f25bb1, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x713f9912, "");
SYMBOL_CRC(ib_umem_get, 0xb816d150, "");
SYMBOL_CRC(ib_umem_release, 0x5024bcb4, "");
SYMBOL_CRC(ib_umem_copy_from, 0x7b2d5fe1, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x4a139a97, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x43dd07aa, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x08a47e37, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xbe385a9b, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x9d936092, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x03d54a25, "");
SYMBOL_CRC(ib_umem_odp_get, 0x62a53433, "");
SYMBOL_CRC(ib_umem_odp_release, 0x93070f5c, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x842535f8, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xc30f7df2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a2d6346, "pin_user_pages_fast" },
	{ 0xbd6a5e5c, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe7f8d80b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd8cef6e1, "clear_user" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x3292145d, "ib_unregister_client" },
	{ 0x5749ac07, "show_class_attr_string" },
	{ 0x6e58d5f6, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x99789856, "dev_set_name" },
	{ 0x468f158, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92b20aa3, "mmu_interval_read_begin" },
	{ 0xf537ca09, "ib_create_qp_user" },
	{ 0x2d2d5a6d, "dma_resv_wait_timeout" },
	{ 0x8515c84b, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xedf230b4, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xd6ae68c2, "kill_fasync" },
	{ 0xe8dbef57, "dma_unmap_page_attrs" },
	{ 0x5f4a14ab, "class_destroy" },
	{ 0xd87d106, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x559dd67, "fget" },
	{ 0xcbc62bdd, "__put_task_struct" },
	{ 0xaf109327, "ib_query_srq" },
	{ 0x406d9040, "ww_mutex_unlock" },
	{ 0x30e4da0c, "device_initialize" },
	{ 0x32f647e4, "__dynamic_ibdev_dbg" },
	{ 0xd500377, "ib_rdmacg_try_charge" },
	{ 0x54dd70b5, "fd_install" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe4fa2719, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xeeb43549, "unpin_user_page_range_dirty_lock" },
	{ 0xcc2eb9f2, "iput" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xd0a4526b, "dma_buf_unpin" },
	{ 0x31c37d86, "zap_vma_ptes" },
	{ 0xba2979bd, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x686b8d8a, "rdma_dev_access_netns" },
	{ 0x9d6a064c, "get_device" },
	{ 0x1547d555, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xfc1348a3, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x848336c9, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x3b5df000, "radix_tree_iter_delete" },
	{ 0x15bc2e70, "ib_destroy_srq_user" },
	{ 0x8268984a, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x375fc97e, "hmm_range_fault" },
	{ 0xd38f0ffe, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9e9e854a, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x4b1753bd, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x60b37586, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x34437a48, "ib_modify_qp_with_udata" },
	{ 0xd0a72335, "ib_register_event_handler" },
	{ 0xa23af82e, "ib_detach_mcast" },
	{ 0x145e6b7d, "dma_buf_map_attachment" },
	{ 0xf9aa45c6, "__free_pages" },
	{ 0x31c5106d, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd6303894, "module_put" },
	{ 0x6d712f1b, "ib_register_client" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x13fdb034, "ib_create_srq_user" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x61bc73c0, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0x4803b276, "fput" },
	{ 0xc531d75f, "ib_set_client_data" },
	{ 0x5af8e078, "down_write" },
	{ 0xe378da12, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7adef566, "dma_buf_unmap_attachment" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x7acab55e, "radix_tree_next_chunk" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xa8487a01, "rdma_put_gid_attr" },
	{ 0xcdde10eb, "class_create" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfcb61bd8, "dma_buf_get" },
	{ 0xa0cb9785, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xf59814df, "ww_mutex_lock" },
	{ 0x51c3c771, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x16e71f7e, "ib_qp_usecnt_inc" },
	{ 0x6c62c99a, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xb5ab86e9, "atomic64_sub_return_cx8" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x453fb4f2, "ib_destroy_qp_user" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ab3d84, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x127b73c7, "rdma_create_user_ah" },
	{ 0x8a5cc1c2, "rdma_destroy_ah_user" },
	{ 0xf0707549, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb60894ba, "ib_destroy_cq_user" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x697aacc, "__mmdrop" },
	{ 0x2e865cb7, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x59b47001, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x1fced902, "__mmap_lock_do_trace_start_locking" },
	{ 0x2400f078, "ib_rdmacg_uncharge" },
	{ 0x6f70ce89, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc143eaf1, "mmput" },
	{ 0xbf3781fb, "dma_map_sgtable" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x3d92ede0, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc255b94d, "__mmap_lock_do_trace_released" },
	{ 0x8e3e83f3, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0xac9dea9b, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7c07a0a1, "ib_dealloc_xrcd_user" },
	{ 0xcfdc65a8, "dma_buf_detach" },
	{ 0xdfdc7b29, "stream_open" },
	{ 0x79431b, "mmu_interval_notifier_insert" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9ef1c77a, "mmput_async" },
	{ 0x4dab718e, "ib_open_qp" },
	{ 0xd96f3996, "ib_dealloc_pd_user" },
	{ 0x908a6de1, "rdma_get_gid_attr" },
	{ 0xc0c40911, "dma_unmap_sg_attrs" },
	{ 0xbbde38, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x3cba3b9b, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xe82ce4d9, "rdma_query_gid_table" },
	{ 0xaa8a8537, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd66d63d8, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9cc88231, "ib_attach_mcast" },
	{ 0x61c41722, "rdma_umap_priv_init" },
	{ 0x29f3a126, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xb44dc57e, "ib_destroy_wq_user" },
	{ 0x4b9d249e, "put_pid" },
	{ 0xb6b4b726, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x598c33c, "rdma_user_mmap_entry_put" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "F8EA67E427CC32FDE96352B");
