#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x3fe0bdaa, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x20314d30, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xba9dd3c5, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x443aee0e, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x59357e9b, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xdceb211f, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x0d5c84cf, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x3e5d5014, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x8b74bd6e, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x31b4191d, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x78542e33, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x44d0d788, "_gpl");
SYMBOL_CRC(dm_get_md, 0x83eed040, "_gpl");
SYMBOL_CRC(dm_hold, 0x24cb75b7, "_gpl");
SYMBOL_CRC(dm_device_name, 0x5f10be6d, "_gpl");
SYMBOL_CRC(dm_put, 0x8331c437, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x4d07b332, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x05bc222c, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xb679bd75, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x5b1dff6e, "_gpl");
SYMBOL_CRC(dm_disk, 0x8cc6d591, "_gpl");
SYMBOL_CRC(dm_suspended, 0xb4530313, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x94c957d5, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x98ecd428, "_gpl");
SYMBOL_CRC(dm_get_device, 0x649c3efe, "");
SYMBOL_CRC(dm_put_device, 0x519bd4cc, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x2d86e4e9, "_gpl");
SYMBOL_CRC(dm_table_event, 0x002533ac, "");
SYMBOL_CRC(dm_table_get_size, 0x68dcc7e3, "");
SYMBOL_CRC(dm_table_get_mode, 0xbb932d14, "");
SYMBOL_CRC(dm_table_get_md, 0x404c1b67, "");
SYMBOL_CRC(dm_table_device_name, 0xcafc39fc, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x797526d1, "");
SYMBOL_CRC(dm_register_target, 0x1ca6b133, "");
SYMBOL_CRC(dm_unregister_target, 0x99323012, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x27c8e885, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x32c39533, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xc3270159, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xe3aae90d, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x63d023f0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57f6eba1, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x306fccf2, "set_disk_ro" },
	{ 0xc1a53710, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xae6fab4b, "blk_integrity_register" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd8cef6e1, "clear_user" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xeaff6d5e, "misc_deregister" },
	{ 0x4cf43668, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x712546e2, "param_ops_uint" },
	{ 0x79cc7e26, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x486b7cc3, "zero_fill_bio" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x42948fb3, "bio_split_to_limits" },
	{ 0x1290d5a3, "vmalloc_to_page" },
	{ 0x8064b8c3, "disk_update_readahead" },
	{ 0xb40510f2, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x62ad8148, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbca1f14f, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x91cb205e, "blk_crypto_profile_destroy" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x89fe53bb, "dm_kobject_release" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0xde9b9d7f, "blk_rq_prep_clone" },
	{ 0xfb03cca0, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xcd3c432d, "blk_mq_quiesce_queue" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x5965c5e8, "blk_crypto_profile_init" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xa8eaad6a, "freeze_bdev" },
	{ 0x43506b18, "blk_queue_write_cache" },
	{ 0xbdfd6935, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa575d706, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x692fbadc, "kmem_cache_create" },
	{ 0x6c8a1bd2, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xed959265, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb05c0b90, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x12b8190c, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x10a1a941, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xfb567626, "bioset_integrity_create" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8a7d1c31, "high_memory" },
	{ 0x23bf0ba5, "put_disk" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x6a944d42, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf6639c5d, "bio_integrity_trim" },
	{ 0x4292364c, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x877a4ef0, "bdev_nr_zones" },
	{ 0x6e415bc, "__tracepoint_block_split" },
	{ 0x738803e6, "strnlen" },
	{ 0x7e30cad1, "blk_queue_flag_set" },
	{ 0xbc930e5f, "kmalloc_node_trace" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xf8dc0436, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9aa45c6, "__free_pages" },
	{ 0x1d1d3ae7, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xddfb8b7c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fd6e093, "submit_bio" },
	{ 0x1cf59363, "blk_crypto_has_capabilities" },
	{ 0x6edc69c2, "blk_queue_flag_clear" },
	{ 0xd6303894, "module_put" },
	{ 0xd09f5953, "blk_mq_init_allocated_queue" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x1c099fdc, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5b994e71, "ima_measure_critical_data" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xd2cfcb53, "kobject_uevent_env" },
	{ 0x5962c8a9, "bio_put" },
	{ 0x380764b1, "blk_crypto_intersect_capabilities" },
	{ 0x31972c8b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc23104d7, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x9a34d5c4, "blkdev_get_by_dev" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3f404417, "thaw_bdev" },
	{ 0x88fa008d, "set_capacity" },
	{ 0x2760a179, "submit_bio_noacct" },
	{ 0x49e29d93, "noop_llseek" },
	{ 0x7f27fae6, "blk_integrity_compare" },
	{ 0x6626afca, "down" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf3ae8367, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x58db8a97, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x902a952d, "bio_chain" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0xde78e575, "kobject_init_and_add" },
	{ 0xea675f3d, "bio_add_page" },
	{ 0xbd98fefa, "crypto_shash_update" },
	{ 0x6a42af40, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd85c3dde, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x28d4c308, "bd_unlink_disk_holder" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xe2a670e3, "bio_init" },
	{ 0x2bc95bd4, "memset" },
	{ 0x785a25bf, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3b8f41a5, "misc_register" },
	{ 0x4e1b98f2, "blk_crypto_evict_key" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeee4d017, "blk_insert_cloned_request" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x26b97426, "audit_log_start" },
	{ 0x8dc366e0, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa51cdfe8, "__FIXADDR_TOP" },
	{ 0xeea0399, "strscpy" },
	{ 0xe98b8a53, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xba189150, "bio_uninit" },
	{ 0x823ce759, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x557a0c2, "param_ops_bool" },
	{ 0x4b6735ae, "bioset_init" },
	{ 0xa5a64629, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x3d92ede0, "alloc_pages" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xe12681a4, "__tracepoint_block_rq_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1c16a6d1, "bd_link_disk_holder" },
	{ 0x36253401, "blk_mq_start_request" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa6a30359, "blk_mark_disk_dead" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0x1534cc64, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x187bd6b5, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3a05ea9d, "bio_alloc_bioset" },
	{ 0x29f3a126, "up_read" },
	{ 0xfa47bb64, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x35abd955, "blkdev_report_zones" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x71b97a01, "bdev_end_io_acct" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc20edd03, "kmem_cache_destroy" },
	{ 0xe3610047, "blk_crypto_update_capabilities" },
	{ 0x92b57248, "flush_work" },
	{ 0xfbd7cb73, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D1E21E38765E414ABB2ED7");
