#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0xcefda11f, "");
SYMBOL_CRC(cx88_querycap, 0x293eea78, "");
SYMBOL_CRC(cx88_enum_input, 0x145dc0cd, "");
SYMBOL_CRC(cx88_set_freq, 0xed0a32ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x720e03b7, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8ed9309a, "vb2_dma_sg_memops" },
	{ 0x79eee576, "cx88_reset" },
	{ 0xd63f100a, "v4l2_ctrl_poll" },
	{ 0x2fb00604, "video_ioctl2" },
	{ 0x2d68191c, "cx88_wakeup" },
	{ 0xa0634742, "pci_enable_device" },
	{ 0xf96ab7f4, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x96d2e8b9, "v4l2_ctrl_add_handler" },
	{ 0xb097c0f6, "v4l2_i2c_new_subdev_board" },
	{ 0x9cdaa97b, "cx88_set_scale" },
	{ 0xe55fcc07, "vb2_ops_wait_finish" },
	{ 0x6f7f5642, "__pci_register_driver" },
	{ 0x2f21ef55, "cx88_shutdown" },
	{ 0xbe4ac988, "cx88_vdev_init" },
	{ 0xd450e380, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2aa21ddc, "vb2_ioctl_querybuf" },
	{ 0x5b068fca, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xafd50bc8, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2439dc0d, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8f209d0e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ad973d6, "wake_up_process" },
	{ 0x8bc1f7d6, "cx88_core_get" },
	{ 0x1ca2b892, "cx88_get_stereo" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x6df0da73, "cx88_ir_stop" },
	{ 0x7d3ed29f, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x175e7055, "video_devdata" },
	{ 0x4bcf773, "cx88_set_tvnorm" },
	{ 0x923859a1, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xf80f048a, "v4l2_ctrl_find" },
	{ 0xf89e0066, "cx88_ir_start" },
	{ 0xd704ed31, "__v4l2_ctrl_s_ctrl" },
	{ 0xdc0569a3, "vb2_plane_cookie" },
	{ 0x512f1784, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x29d337a4, "cx88_risc_buffer" },
	{ 0x4310e17a, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x359338ab, "cx88_set_stereo" },
	{ 0x35a23fa0, "vb2_buffer_done" },
	{ 0x7f2f8faa, "v4l2_ctrl_subscribe_event" },
	{ 0x673ae3ce, "video_unregister_device" },
	{ 0x709bfa09, "kthread_stop" },
	{ 0x33dbc984, "i2c_new_client_device" },
	{ 0xcd2a7c19, "vb2_ioctl_qbuf" },
	{ 0xb783d1d4, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbcb05187, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x565af203, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd0e639, "vb2_fop_read" },
	{ 0xaf2bd9bf, "cx88_sram_channel_dump" },
	{ 0x56f40a43, "kthread_create_on_node" },
	{ 0xeea0399, "strscpy" },
	{ 0x36ae712c, "cx88_sram_channel_setup" },
	{ 0x73538723, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x70fb7050, "__video_register_device" },
	{ 0x63a0158e, "vb2_ops_wait_prepare" },
	{ 0xdd06017b, "vb2_ioctl_streamon" },
	{ 0x61d9c1b5, "vb2_fop_poll" },
	{ 0x5ec37ec9, "v4l2_ctrl_new_std" },
	{ 0x42264b59, "pci_disable_device" },
	{ 0xc29cad01, "dma_set_mask" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x2dde5fa6, "v4l2_i2c_new_subdev" },
	{ 0xb3bb46d0, "pci_read_config_byte" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8717060, "cx88_newstation" },
	{ 0x6da44e08, "v4l2_event_unsubscribe" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf34c3e23, "vb2_ioctl_reqbufs" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EB47061119EEB4C8B5A8C97");
