#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xaf5b5fe8, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xde2bfbda, "");
SYMBOL_CRC(ivtv_api, 0x73a1a896, "");
SYMBOL_CRC(ivtv_vapi, 0x732902e3, "");
SYMBOL_CRC(ivtv_vapi_result, 0x38502778, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x5a591b26, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x8420fea0, "");
SYMBOL_CRC(ivtv_udma_setup, 0x9a2f8dc3, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x997dad76, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x164c87bf, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x9efce521, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x15f83848, "");
SYMBOL_CRC(ivtv_firmware_check, 0x0a5e13ab, "");
SYMBOL_CRC(ivtv_claim_stream, 0xf9b3b86f, "");
SYMBOL_CRC(ivtv_release_stream, 0x3ed8e35f, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x2272a57b, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x5a3cf90f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x55cfdb40, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3cabdbdc, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2fb00604, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa0634742, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7539eba7, "i2c_bit_add_bus" },
	{ 0x883c7aad, "v4l2_fh_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb097c0f6, "v4l2_i2c_new_subdev_board" },
	{ 0x23b42045, "kthread_flush_worker" },
	{ 0x89339c5a, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe8dbef57, "dma_unmap_page_attrs" },
	{ 0xb347d392, "request_firmware" },
	{ 0x6f7f5642, "__pci_register_driver" },
	{ 0x5dd97e41, "v4l2_ctrl_handler_init_class" },
	{ 0xa7c16608, "dma_sync_single_for_device" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xbdac429, "unpin_user_pages" },
	{ 0xd450e380, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbed1938c, "i2c_transfer_buffer_flags" },
	{ 0x98d69128, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8f209d0e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ad973d6, "wake_up_process" },
	{ 0x2f3fa423, "dev_driver_string" },
	{ 0x982e2a87, "v4l2_device_register_subdev" },
	{ 0xd38f0ffe, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1f67d8b0, "v4l2_ctrl_handler_log_status" },
	{ 0x7d3ed29f, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x175e7055, "video_devdata" },
	{ 0xe4ff80e, "i2c_new_scanned_device" },
	{ 0xed460107, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x5536e417, "kthread_queue_work" },
	{ 0xf9aa45c6, "__free_pages" },
	{ 0x8dad94ff, "i2c_del_adapter" },
	{ 0xd704ed31, "__v4l2_ctrl_s_ctrl" },
	{ 0xa4683b3c, "__kmap_local_page_prot" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xae3791, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xdd5281b2, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xcc97795f, "v4l2_fh_is_singular" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2a790969, "pci_read_config_word" },
	{ 0x7f2f8faa, "v4l2_ctrl_subscribe_event" },
	{ 0x1d2e0458, "v4l2_fh_init" },
	{ 0xf665489f, "v4l2_event_pending" },
	{ 0x77ff4cca, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x673ae3ce, "video_unregister_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x709bfa09, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc2f502b2, "v4l2_event_subscribe" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xb550ade6, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xbcb05187, "pci_set_master" },
	{ 0x8ac52d03, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdda59d5b, "v4l2_device_register" },
	{ 0x203bacd, "param_ops_string" },
	{ 0x1a56836d, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56f40a43, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x70fb7050, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9a4e227, "pci_write_config_byte" },
	{ 0x3d92ede0, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1a751020, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5ec37ec9, "v4l2_ctrl_new_std" },
	{ 0x13aef78c, "v4l2_ctrl_g_ctrl" },
	{ 0xf9877577, "cx2341x_handler_init" },
	{ 0x2d45fbb3, "cx2341x_handler_set_50hz" },
	{ 0xc31c6dca, "v4l2_ctrl_handler_free" },
	{ 0xb14907a2, "v4l2_device_unregister" },
	{ 0x42264b59, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc29cad01, "dma_set_mask" },
	{ 0xd43778e1, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfdd3f97b, "v4l2_subdev_call_wrappers" },
	{ 0xc0c40911, "dma_unmap_sg_attrs" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x28a4a1cd, "v4l2_event_queue" },
	{ 0x2dde5fa6, "v4l2_i2c_new_subdev" },
	{ 0x44b9ca44, "page_address" },
	{ 0xb3bb46d0, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b68c470, "video_device_release_empty" },
	{ 0xa7fda3bf, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x90203ec8, "pci_write_config_dword" },
	{ 0x6da44e08, "v4l2_event_unsubscribe" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x449ea488, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C66B5DC5264B3E2BB1864AC");
