#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9462e96c, "cqhci_deactivate" },
	{ 0xc1054c32, "sdhci_reset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa1846f39, "sdhci_cqe_irq" },
	{ 0xaf49dcc0, "cqhci_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x46590e0f, "__platform_driver_register" },
	{ 0xc9d621da, "sdhci_runtime_suspend_host" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd143751, "sdhci_execute_tuning" },
	{ 0xb8c67ae5, "sdhci_dumpregs" },
	{ 0xf9d23997, "platform_driver_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x70f92335, "_dev_info" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8ddf715a, "regmap_update_bits_base" },
	{ 0xdab76d2f, "sdhci_set_clock" },
	{ 0x4db16d8d, "mmc_send_tuning" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x81bca572, "sdhci_remove_host" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xd51fad9d, "sdhci_pltfm_free" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3adafe2c, "regmap_read" },
	{ 0xe378da12, "_dev_err" },
	{ 0xb0659dcc, "of_match_node" },
	{ 0x75ccf49a, "soc_device_match" },
	{ 0xe8cbeba7, "sdhci_pltfm_init" },
	{ 0x59cb2a06, "devm_clk_get" },
	{ 0xc510f884, "devm_platform_ioremap_resource" },
	{ 0x7913a36b, "__devm_regmap_init_mmio_clk" },
	{ 0xcb33202a, "device_property_read_u32_array" },
	{ 0x4dc111ea, "device_property_present" },
	{ 0xafad4235, "sdhci_get_property" },
	{ 0x29a614bb, "mmc_of_parse" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x5c4fbaed, "sdhci_setup_host" },
	{ 0x3d2cddcd, "dev_err_probe" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xcf84ee5b, "cqhci_init" },
	{ 0x2080b6c3, "__sdhci_add_host" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0xb613973a, "sdhci_cleanup_host" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0x3b707ea3, "sdhci_runtime_resume_host" },
	{ 0x8c6cbd68, "cqhci_resume" },
	{ 0x33c060a9, "pm_runtime_force_suspend" },
	{ 0xe64449c5, "pm_runtime_force_resume" },
	{ 0xe5df63b7, "sdhci_cqe_enable" },
	{ 0x15dd1177, "sdhci_cqe_disable" },
	{ 0x712fe72f, "sdhci_set_power_and_bus_voltage" },
	{ 0x91ec4d4e, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x1db5c780, "sdhci_set_bus_width" },
	{ 0x8f54834b, "sdhci_set_uhs_signaling" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "cqhci,sdhci,mmc_core,sdhci-pltfm");

MODULE_ALIAS("of:N*T*Cti,am654-sdhci-5.1");
MODULE_ALIAS("of:N*T*Cti,am654-sdhci-5.1C*");
MODULE_ALIAS("of:N*T*Cti,j721e-sdhci-8bit");
MODULE_ALIAS("of:N*T*Cti,j721e-sdhci-8bitC*");
MODULE_ALIAS("of:N*T*Cti,j721e-sdhci-4bit");
MODULE_ALIAS("of:N*T*Cti,j721e-sdhci-4bitC*");
MODULE_ALIAS("of:N*T*Cti,am64-sdhci-8bit");
MODULE_ALIAS("of:N*T*Cti,am64-sdhci-8bitC*");
MODULE_ALIAS("of:N*T*Cti,am64-sdhci-4bit");
MODULE_ALIAS("of:N*T*Cti,am64-sdhci-4bitC*");
MODULE_ALIAS("of:N*T*Cti,am62-sdhci");
MODULE_ALIAS("of:N*T*Cti,am62-sdhciC*");

MODULE_INFO(srcversion, "E744806A32201A340D6122C");
