#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rsi_zone_enabled, "_gpl", "");
KSYMTAB_FUNC(rsi_dbg, "_gpl", "");
KSYMTAB_FUNC(rsi_read_pkt, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_init, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_deinit, "_gpl", "");
KSYMTAB_FUNC(rsi_mac80211_detach, "_gpl", "");
KSYMTAB_FUNC(rsi_config_wowlan, "", "");
KSYMTAB_FUNC(rsi_hal_device_init, "_gpl", "");

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0x5ca78ba2, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0x4ae9fe4f, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0x85fbfdb1, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0x12e441a6, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0x8e852d3b, "");
SYMBOL_CRC(rsi_hal_device_init, 0xa48ac050, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4ec2a2e4, "ieee80211_queue_stopped" },
	{ 0x8b502da4, "rsi_bt_ops" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x117fac1d, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2b05272a, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x25333d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x45060c6c, "ieee80211_free_hw" },
	{ 0xc458547e, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb347d392, "request_firmware" },
	{ 0xbc18f4db, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0x481f6c7c, "ieee80211_register_hw" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6c83d801, "ieee80211_generic_frame_duration" },
	{ 0xf1828e80, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ad973d6, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x25bdfcd8, "ieee80211_handle_wake_tx_queue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x28219b7e, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1497f28, "skb_queue_tail" },
	{ 0x6ab37380, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb01373cf, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x5e71e3c9, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd56253fd, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x638b7401, "skb_push" },
	{ 0x709bfa09, "kthread_stop" },
	{ 0xa8044b72, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x58baeeed, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfc9f023f, "skb_queue_purge" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xff0c865f, "ieee80211_stop_queue" },
	{ 0x294e5575, "__netdev_alloc_skb" },
	{ 0x9b919f84, "ieee80211_ready_on_channel" },
	{ 0x2cac6c08, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56f40a43, "kthread_create_on_node" },
	{ 0x5658b610, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xcd51c603, "wiphy_rfkill_start_polling" },
	{ 0x880fd2b6, "ieee80211_scan_completed" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3b84f20, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94996915, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x759f211c, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x65916f19, "ieee80211_rx_irqsafe" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "mac80211,btrsi,rfkill,cfg80211");


MODULE_INFO(srcversion, "7B49789E57FF6D4ADE5E19D");
