#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x247dde9e, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42fc887d, "nvme_remove_admin_tag_set" },
	{ 0x1a00df9b, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf0ca15b6, "nvme_uninit_ctrl" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x4c421fc2, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4b080585, "nvmf_free_options" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9a73cae3, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xeaf54c20, "blk_mq_complete_request_remote" },
	{ 0xe8dbef57, "dma_unmap_page_attrs" },
	{ 0xd3d03651, "nvme_setup_cmd" },
	{ 0xe7cc7f45, "nvme_start_ctrl" },
	{ 0xa7c16608, "dma_sync_single_for_device" },
	{ 0xb0fe9cd5, "nvme_alloc_admin_tag_set" },
	{ 0x25f4584e, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x6cf806b2, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfdeb3de6, "nvme_delete_ctrl" },
	{ 0x9d6a064c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb8648e9d, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f3fa423, "dev_driver_string" },
	{ 0x71257143, "nvmf_get_address" },
	{ 0xd38f0ffe, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0x9670f81c, "nvme_remove_io_tag_set" },
	{ 0x34ef560a, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5fd905fd, "nvme_mpath_start_request" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7dc99a2e, "nvmf_unregister_transport" },
	{ 0x4d5a2ee4, "blkcg_get_fc_appid" },
	{ 0x60b37586, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x5cdfe7aa, "nvme_change_ctrl_state" },
	{ 0x70f92335, "_dev_info" },
	{ 0x3d9e6616, "nvme_init_ctrl" },
	{ 0x1b902433, "nvme_alloc_io_tag_set" },
	{ 0xe75d7da1, "nvme_fail_nonready_command" },
	{ 0xd2cfcb53, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe378da12, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x928708dc, "device_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x276d2e83, "blk_sync_queue" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcc56519e, "blkcg_set_fc_appid" },
	{ 0xa712b62f, "__blk_rq_map_sg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x42c972bf, "nvmf_reg_read64" },
	{ 0xdeebd658, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x1a1ee7d4, "nvmf_connect_admin_queue" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7986fc37, "nvme_enable_ctrl" },
	{ 0x81bb0af6, "nvme_unquiesce_admin_queue" },
	{ 0xb550ade6, "dma_sync_single_for_cpu" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0865d28, "nvme_unquiesce_io_queues" },
	{ 0x1c746085, "blk_mq_update_nr_hw_queues" },
	{ 0x2701f094, "nvmf_reg_write32" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf46df7a9, "nvmf_should_reconnect" },
	{ 0x8aab8ee, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc06b96ba, "device_destroy" },
	{ 0x2de0a9ce, "nvme_set_queue_count" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x5842ed4c, "nvmf_register_transport" },
	{ 0x36253401, "blk_mq_start_request" },
	{ 0x8c0c00bc, "nvme_quiesce_io_queues" },
	{ 0x89b1aab2, "blk_mq_tagset_busy_iter" },
	{ 0x5a077823, "nvme_stop_ctrl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc0c40911, "dma_unmap_sg_attrs" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x4a58e417, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x13d8ccfe, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x814c442b, "nvme_quiesce_admin_queue" },
	{ 0xa0d5df01, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x45c50778, "__nvme_check_ready" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x449ea488, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "28ADF42E2F42E5549997A18");
