#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x4b310d55, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0xee85c08e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf76987b2, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf7e56b63, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x219f6a4e, "sysfs_notify" },
	{ 0x4d8148a3, "__platform_create_bundle" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe378da12, "_dev_err" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaf1841af, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x95106e94, "device_create_file" },
	{ 0xa4daaba9, "single_open" },
	{ 0x91682cc8, "seq_printf" },
	{ 0xfaed16a1, "platform_device_unregister" },
	{ 0xf9d23997, "platform_driver_unregister" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x4a71089a, "input_set_capability" },
	{ 0x4c05770a, "input_event" },
	{ 0xf8e01933, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x2a515388, "sparse_keymap_report_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7d96b82e, "backlight_force_update" },
	{ 0x6bac93a2, "led_classdev_notify_brightness_hw_changed" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0xee9f0a27, "pci_find_bus" },
	{ 0x129f9121, "pci_bus_read_config_dword" },
	{ 0x93bb0331, "pci_get_slot" },
	{ 0x9f3459ac, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xeb2d3093, "pci_stop_and_remove_bus_device" },
	{ 0x8d8a6db5, "pci_scan_single_device" },
	{ 0xa46c8a27, "pci_bus_assign_resources" },
	{ 0xa808c952, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xd8105be6, "pci_hp_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x5fdbd7cb, "backlight_device_unregister" },
	{ 0xe1c0c35f, "input_unregister_device" },
	{ 0xd9df841, "led_classdev_unregister" },
	{ 0x7c74d0c8, "debugfs_remove" },
	{ 0x8baf572e, "sysfs_remove_group" },
	{ 0xa36b72c4, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x70f92335, "_dev_info" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xf79aa18b, "sysfs_create_group" },
	{ 0x84f4cae5, "input_allocate_device" },
	{ 0x5bce7ae6, "sparse_keymap_setup" },
	{ 0xc7c39990, "input_register_device" },
	{ 0x283d94de, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf09f958e, "led_classdev_register_ext" },
	{ 0x666dc633, "input_free_device" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0xe9ccdbdd, "battery_hook_register" },
	{ 0x861c12a8, "debugfs_create_dir" },
	{ 0x5b8bc461, "debugfs_create_x32" },
	{ 0xb50fb9f, "debugfs_create_file" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xe97a3f66, "__pci_hp_register" },
	{ 0x513f788d, "pci_get_device" },
	{ 0xd7cb0be7, "pci_read_config_dword" },
	{ 0x90203ec8, "pci_write_config_dword" },
	{ 0xaa22f198, "backlight_device_register" },
	{ 0xccc1d4d0, "seq_lseek" },
	{ 0x306fe3f7, "seq_read" },
	{ 0x1fc8cdf8, "single_release" },
	{ 0x557a0c2, "param_ops_bool" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,video,sparse-keymap,battery,ledtrig-audio");


MODULE_INFO(srcversion, "6384CB9739B8A8442ED26AF");
