#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0x9dbe5b73, "proc_mkdir" },
	{ 0xdfc17520, "acpi_bus_register_driver" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8a301e08, "remove_proc_entry" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe704ce78, "sysfs_update_group" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x6bac93a2, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaff6d5e, "misc_deregister" },
	{ 0x4436755b, "hwmon_device_unregister" },
	{ 0xce08dcf6, "iio_device_unregister" },
	{ 0x9d576225, "iio_device_free" },
	{ 0xe1c0c35f, "input_unregister_device" },
	{ 0x5fdbd7cb, "backlight_device_unregister" },
	{ 0xd9df841, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa36b72c4, "battery_hook_unregister" },
	{ 0xc7cc0bd9, "i8042_remove_filter" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x8baf572e, "sysfs_remove_group" },
	{ 0x311e8895, "device_remove_groups" },
	{ 0xee7df5cc, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x91682cc8, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa4daaba9, "single_open" },
	{ 0x65546dcc, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x3b8f41a5, "misc_register" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xf79aa18b, "sysfs_create_group" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xaa22f198, "backlight_device_register" },
	{ 0xab187282, "proc_create_data" },
	{ 0xfd25f4e2, "proc_create_single_data" },
	{ 0xe9ccdbdd, "battery_hook_register" },
	{ 0x84f4cae5, "input_allocate_device" },
	{ 0x5bce7ae6, "sparse_keymap_setup" },
	{ 0xbe1cb401, "i8042_install_filter" },
	{ 0xc7c39990, "input_register_device" },
	{ 0x666dc633, "input_free_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf09f958e, "led_classdev_register_ext" },
	{ 0xf8928595, "iio_device_alloc" },
	{ 0xd31dd2d1, "__iio_device_register" },
	{ 0xf8e01933, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0xefc2b2f, "hwmon_device_register_with_info" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x2a515388, "sparse_keymap_report_event" },
	{ 0x49e29d93, "noop_llseek" },
	{ 0x306fe3f7, "seq_read" },
	{ 0xccc1d4d0, "seq_lseek" },
	{ 0x1fc8cdf8, "single_release" },
	{ 0x557a0c2, "param_ops_bool" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,video,sparse-keymap");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "C35D1D74DB246AC5BC649D2");
