#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0xa64046d0, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x4f37e81f, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x021a1b60, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0xd24156cc, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x661fb8dd, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x1082cab3, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x3704f98c, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0xee2b8459, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x17dcc9c2, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0xe017d8eb, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xe793e7fc, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x0c2356a2, "");
SYMBOL_CRC(iscsit_release_cmd, 0xaf678257, "");
SYMBOL_CRC(iscsit_free_cmd, 0x56df8453, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x7cd137da, "");
SYMBOL_CRC(iscsit_aborted_task, 0x955d3262, "");
SYMBOL_CRC(iscsit_add_reject, 0x2ff5eb6f, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x7bcca362, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x80265565, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x21f5be3c, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x72e71bd8, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xb880064d, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xe90cb752, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x29a64d48, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xe95a696d, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xff54b0ce, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xb5f805ec, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x44f4b457, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xf59d14da, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x0083c8c1, "");
SYMBOL_CRC(iscsit_handle_snack, 0x159fedcf, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xb8208e1f, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xb3735909, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0xb5ada9f7, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xeda0031e, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x13497818, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x244928bc, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x2c71c657, "");
SYMBOL_CRC(iscsit_build_reject, 0x0ba374de, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x98538a21, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x127d9c08, "");
SYMBOL_CRC(iscsit_response_queue, 0x63d5d6ac, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x145bb70e, "");
SYMBOL_CRC(iscsit_register_transport, 0x22f96b1c, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x5fa3ee58, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3e859cf, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x1980562a, "target_alloc_cmd_counter" },
	{ 0xf0cbdcd3, "core_alua_check_nonop_delay" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0x55b82158, "target_wait_for_cmds" },
	{ 0x8d4bdb5e, "transport_generic_new_cmd" },
	{ 0xe50b4e8a, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa4ca39a5, "kmap_high" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x73a32ff8, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xddae7d9d, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x7b027ea7, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9cc62888, "kernel_accept" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x692fbadc, "kmem_cache_create" },
	{ 0xb0e7bbcd, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x86820580, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x34e04a03, "transport_generic_handle_tmr" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x98063b46, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x9ad973d6, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x10a1a941, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x429bf64, "transport_alloc_session_tags" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd1cd9fa8, "transport_alloc_session" },
	{ 0xbc435770, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1524874f, "target_unregister_template" },
	{ 0x3735d227, "transport_send_check_condition_and_sense" },
	{ 0x738803e6, "strnlen" },
	{ 0x1d1d3ae7, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xebc5da7c, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd6303894, "module_put" },
	{ 0x2d94967, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6415e259, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x54021a83, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd5dc118b, "kunmap_high" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x58db8a97, "kmem_cache_free" },
	{ 0x8ee86eae, "set_cpus_allowed_ptr" },
	{ 0x3e019e68, "transport_deregister_session_configfs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x9e1ea3b8, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x63a02517, "inet_pton_with_scope" },
	{ 0x8bc9405e, "sock_sendmsg" },
	{ 0xbd98fefa, "crypto_shash_update" },
	{ 0x2f85dbd, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x709bfa09, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x11089ac7, "_ctype" },
	{ 0x35841a3e, "target_cmd_parse_cdb" },
	{ 0xa7fc6651, "sock_set_reuseaddr" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xa934ce0f, "crypto_ahash_finup" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3f515601, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x82763f9, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xdf1ced9e, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9c197ec1, "__target_init_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56f40a43, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x32d37444, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd8836890, "core_tpg_check_initiator_node_acl" },
	{ 0x1641dcad, "target_cmd_init_cdb" },
	{ 0xeea0399, "strscpy" },
	{ 0x57c8a8d2, "kernel_listen" },
	{ 0xb3ec0360, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x4d03ab5e, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x373ab80c, "crypto_shash_finup" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x8335e6d7, "transport_wait_for_tasks" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x2c778f92, "transport_handle_cdb_direct" },
	{ 0x62c14a79, "target_get_sess_cmd" },
	{ 0x462f0d18, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfe3a18c0, "sock_recvmsg" },
	{ 0xc4540390, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xa4c56a0b, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5ef4a4d1, "target_show_dynamic_sessions" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x84724a0a, "sock_release" },
	{ 0x8090a8d1, "target_register_template" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3290cab2, "tcp_sock_set_nodelay" },
	{ 0x9e0b6420, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x800c5e92, "transport_generic_free_cmd" },
	{ 0x44b9ca44, "page_address" },
	{ 0xa8ea7460, "core_tpg_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0x481cdf2c, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x9290e6cd, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x187bd6b5, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc20edd03, "kmem_cache_destroy" },
	{ 0x349a6613, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "5F3C6A9D71822AA7B778B2A");
