#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x58e1dd03, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x93405db0, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x5ec18286, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x9fe4a910, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xee9e307a, "");
SYMBOL_CRC(fuse_abort_conn, 0x36c86355, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x9510a3b0, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xe6275e05, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x379214fe, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x72b0aab9, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x4b702087, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x58c97df7, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x4ee2a2e5, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xe9d006af, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x2f947870, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xe4f33ced, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x47a87c42, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x5e8afba3, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x6c065411, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x3012cdb6, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xb3ff762f, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x7066aa7c, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xb3cb8650, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xd07705c2, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xd06f313d, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xc95e2f46, "");
SYMBOL_CRC(fuse_do_ioctl, 0x3539b867, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x402375, "super_setup_bdi_name" },
	{ 0x73a8e83e, "posix_test_lock" },
	{ 0x138b15a3, "truncate_inode_pages" },
	{ 0x8383e034, "generic_copy_file_range" },
	{ 0xb56abba7, "noop_backing_dev_info" },
	{ 0x38e5706, "pipe_lock" },
	{ 0x3ab8aa49, "generic_fillattr" },
	{ 0x421d4dcf, "krealloc" },
	{ 0x8c2cc9b, "vfs_fsync_range" },
	{ 0x93bbd788, "setattr_prepare" },
	{ 0xd254e408, "clear_nlink" },
	{ 0x2fe83af2, "file_check_and_advance_wb_err" },
	{ 0xd67f9fc4, "d_alloc_parallel" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xc2c0c817, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xeaff6d5e, "misc_deregister" },
	{ 0x58d56408, "make_vfsgid" },
	{ 0x305ec012, "clear_inode" },
	{ 0x401082d2, "inode_to_bdi" },
	{ 0xf8873fe, "find_pid_ns" },
	{ 0xe4185661, "grab_cache_page_write_begin" },
	{ 0x3f9a74db, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1bb7989, "pipe_unlock" },
	{ 0x132cec2b, "fs_param_is_string" },
	{ 0x287a2f73, "folio_unlock" },
	{ 0x31043048, "new_inode" },
	{ 0xce863279, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xbb682131, "dump_page" },
	{ 0x77c8ee44, "forget_all_cached_acls" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2fad1f46, "init_special_inode" },
	{ 0x36ad08ec, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x86d28026, "task_active_pid_ns" },
	{ 0xcfbe5003, "iov_iter_single_seg_count" },
	{ 0xb6a9dfd4, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9f6f4a4c, "d_alloc_name" },
	{ 0x6c72eb06, "replace_page_cache_folio" },
	{ 0xca51a60d, "inode_query_iversion" },
	{ 0x8204e6f4, "iov_iter_advance" },
	{ 0xd6ae68c2, "kill_fasync" },
	{ 0x8f74fb1e, "d_make_root" },
	{ 0x362e22bd, "sb_set_blocksize" },
	{ 0x559dd67, "fget" },
	{ 0x4281a317, "simple_fill_super" },
	{ 0x99beb6c1, "xas_find" },
	{ 0x84416859, "sync_filesystem" },
	{ 0x165376fa, "sget_fc" },
	{ 0x3acb0763, "param_set_uint" },
	{ 0x4fa9a8f8, "d_splice_alias" },
	{ 0x83c4fc27, "iov_iter_get_pages2" },
	{ 0x893a25cf, "current_time" },
	{ 0xb5a85960, "direct_write_fallback" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc14be100, "page_get_link" },
	{ 0x5998d249, "generic_permission" },
	{ 0x1ae7e0d3, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x7cb01a3f, "invalidate_inode_pages2_range" },
	{ 0xb367e3d8, "posix_lock_file" },
	{ 0xaff73854, "finish_open" },
	{ 0xcc2eb9f2, "iput" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xe00ecf29, "logfc" },
	{ 0xeff68b97, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x921c3281, "init_pid_ns" },
	{ 0x361ff4de, "iov_iter_init" },
	{ 0x3d23c54f, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x4724e8a0, "sysfs_create_mount_point" },
	{ 0x61bc033f, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x11a9fad8, "register_filesystem" },
	{ 0x692fbadc, "kmem_cache_create" },
	{ 0x1582d66c, "folio_add_lru" },
	{ 0xb55b3ea9, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8f421ed2, "sync_inode_metadata" },
	{ 0xf941f63a, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5c431aa7, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb980921c, "shrink_dcache_parent" },
	{ 0xc6b2f27, "get_tree_nodev" },
	{ 0x924a4601, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x54757f97, "fs_param_is_u32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x43af918c, "inode_newsize_ok" },
	{ 0xd9d9af27, "d_drop" },
	{ 0x9aba5540, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x841b5999, "unlock_new_inode" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb6528326, "bdi_put" },
	{ 0x996e8228, "posix_acl_from_xattr" },
	{ 0x4292364c, "schedule" },
	{ 0x3ea3a7df, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xfe3e1d2b, "make_kuid" },
	{ 0xf7636b33, "truncate_inode_pages_final" },
	{ 0x5be8151c, "fs_kobj" },
	{ 0x9e47b4ed, "__filemap_set_wb_err" },
	{ 0x9d44f2da, "simple_dir_operations" },
	{ 0x82534d3c, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xf9aa45c6, "__free_pages" },
	{ 0x1d1d3ae7, "kmem_cache_alloc" },
	{ 0x105fb53a, "put_pid_ns" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0xc2b19e1a, "setattr_should_drop_suidgid" },
	{ 0x3594bcdc, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x46eb6ead, "copy_page_from_iter_atomic" },
	{ 0x96b69d6f, "fs_context_for_submount" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x246057c7, "inode_init_once" },
	{ 0x36d7ef3f, "file_write_and_wait_range" },
	{ 0xa4683b3c, "__kmap_local_page_prot" },
	{ 0x1fcbd894, "nosteal_pipe_buf_ops" },
	{ 0x6abfad25, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3114ec61, "inode_nohighmem" },
	{ 0x5905db74, "release_pages" },
	{ 0x56d158c, "generic_file_direct_write" },
	{ 0x4803b276, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9e0c37f2, "generic_file_read_iter" },
	{ 0xcca555b1, "inode_maybe_inc_iversion" },
	{ 0x989c0d93, "unlock_page" },
	{ 0x4c277964, "inc_node_page_state" },
	{ 0x658e54e3, "thp_get_unmapped_area" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x810c121b, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x68fc645c, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xc85c3fc7, "dec_node_page_state" },
	{ 0xd8c60c4c, "zero_user_segments" },
	{ 0x6503abe5, "write_cache_pages" },
	{ 0x99772e87, "file_update_time" },
	{ 0x33f560be, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x58db8a97, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xf404c763, "from_kgid" },
	{ 0x51c3c771, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x14a6f229, "file_remove_privs" },
	{ 0x8c8c9a46, "write_inode_now" },
	{ 0xf4ef55c9, "d_obtain_alias" },
	{ 0xbe22594c, "file_modified" },
	{ 0xa13cadc3, "copy_page_to_iter" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x21ef148f, "finish_no_open" },
	{ 0x7792dd62, "__folio_start_writeback" },
	{ 0x181c56fe, "kill_litter_super" },
	{ 0x26f699cf, "folio_end_writeback" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x242028a6, "from_kuid" },
	{ 0x7ed1ce1a, "current_in_userns" },
	{ 0x119e8914, "fc_mount" },
	{ 0x373f41d2, "sysfs_remove_mount_point" },
	{ 0x3b8f41a5, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5eb04758, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x83a06392, "d_delete" },
	{ 0x4e87099c, "from_kgid_munged" },
	{ 0xda2011ce, "end_page_writeback" },
	{ 0xd4d221a6, "kobject_create_and_add" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x79826d27, "wb_writeout_inc" },
	{ 0x8dc366e0, "nonseekable_open" },
	{ 0x59b47001, "set_page_dirty" },
	{ 0x1a4c1db6, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe08b062e, "redirty_page_for_writepage" },
	{ 0x6f70ce89, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd38fdca, "generic_read_dir" },
	{ 0x256071c4, "d_add" },
	{ 0x89342962, "set_page_writeback" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x557a0c2, "param_ops_bool" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0x3bdf0a83, "d_find_alias" },
	{ 0x91573cc7, "invalidate_inode_pages2" },
	{ 0x3d92ede0, "alloc_pages" },
	{ 0xff410d90, "inc_nlink" },
	{ 0x87911833, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x41b359dc, "get_tree_bdev" },
	{ 0x219b8d2d, "set_anon_super_fc" },
	{ 0x91682cc8, "seq_printf" },
	{ 0xe6026db2, "dput" },
	{ 0x32eaec7b, "lockref_get" },
	{ 0xc23c15c5, "generic_delete_inode" },
	{ 0xe81d8f40, "deactivate_locked_super" },
	{ 0x875af94d, "touch_atime" },
	{ 0x1d864e47, "__d_lookup_unhash_wake" },
	{ 0x4b2f5080, "set_page_dirty_lock" },
	{ 0xe65253cd, "pid_nr_ns" },
	{ 0xbdc964e0, "generic_file_open" },
	{ 0x24a8a48f, "truncate_inode_pages_range" },
	{ 0xb8842c16, "__put_user_ns" },
	{ 0x6637edc9, "__folio_lock" },
	{ 0x9afc3698, "filemap_dirty_folio" },
	{ 0x2ee15f13, "pagecache_get_page" },
	{ 0x47574133, "seq_puts" },
	{ 0xdfdc7b29, "stream_open" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xac630543, "add_to_pipe" },
	{ 0xaf43638f, "__fs_parse" },
	{ 0xfea8dc4b, "filemap_splice_read" },
	{ 0xbff08318, "posix_acl_to_xattr" },
	{ 0x881f35c5, "dget_parent" },
	{ 0xb68a914d, "kill_anon_super" },
	{ 0xb16b216, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xac85b4a1, "iget5_locked" },
	{ 0xc0f1e266, "security_dentry_init_security" },
	{ 0x6cdecbdf, "filemap_write_and_wait_range" },
	{ 0x44b9ca44, "page_address" },
	{ 0x47530154, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x73aff9cf, "generic_write_checks" },
	{ 0x4e4a2aff, "iov_iter_revert" },
	{ 0xa9f78a44, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x962f3547, "mntget" },
	{ 0xbcd11668, "kmem_cache_alloc_lru" },
	{ 0xad734a0d, "filemap_fault" },
	{ 0xdd985fb, "d_invalidate" },
	{ 0xc88790ae, "__mark_inode_dirty" },
	{ 0x90d88e51, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0xd01be47d, "iov_iter_npages" },
	{ 0xc9dccb36, "drop_nlink" },
	{ 0xf2b551b8, "fault_in_iov_iter_readable" },
	{ 0x638504db, "filemap_check_errors" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0xca7ce392, "bdi_set_max_ratio" },
	{ 0xc20edd03, "kmem_cache_destroy" },
	{ 0xfbd7cb73, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0604A0A441A473BABB66FD4");
