#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x3283940f, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x011f82dc, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xb5e64dfb, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x5b754062, "");
SYMBOL_CRC(gss_mech_put, 0x479de210, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xe42241dd, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x2a293554, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf2492f0, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8dcee1f1, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xe22f3819, "xdr_buf_from_iov" },
	{ 0x2b023d2a, "bpf_trace_run4" },
	{ 0x374ba9aa, "xdr_stream_decode_opaque_auth" },
	{ 0x712546e2, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x124de1eb, "xdr_write_pages" },
	{ 0x14cc8ee2, "rpc_shutdown_client" },
	{ 0xbf21dc4b, "auth_domain_find" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x46a64943, "xdr_inline_decode" },
	{ 0x86dbed28, "cache_create_net" },
	{ 0x205339c5, "rpcauth_destroy_credcache" },
	{ 0x5db6c0da, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x35f408a5, "bpf_trace_run6" },
	{ 0xe071b2ab, "rpc_net_ns" },
	{ 0xffee750e, "read_bytes_from_xdr_buf" },
	{ 0x2cfafd3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe815c004, "rpc_wake_up" },
	{ 0x881ec066, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x25ac32b5, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xfe8b5a9, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x94abb745, "sprint_oid" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xab187282, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xfeea9e93, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb752f23e, "xdr_truncate_decode" },
	{ 0x76212ad6, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xdc744c6f, "__xdr_commit_encode" },
	{ 0xbcdcf567, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x13f5fc79, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9874a615, "__put_cred" },
	{ 0x1aacb315, "register_pernet_subsys" },
	{ 0x37a108b2, "trace_event_buffer_commit" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x72124350, "cache_purge" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xcfef6b2d, "rpc_release_client" },
	{ 0xef631064, "auth_domain_lookup" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd2acc842, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe234ba5f, "svc_auth_register" },
	{ 0x9bfcde01, "xdr_stream_encode_opaque_auth" },
	{ 0xfe3e1d2b, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0x7eafb68c, "rpc_destroy_pipe_data" },
	{ 0xf9aa45c6, "__free_pages" },
	{ 0x25f3272c, "rpc_pipe_generic_upcall" },
	{ 0xd6303894, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xf9c4d617, "cache_unregister_net" },
	{ 0x16812051, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfc99fe75, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9b5c9b97, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xe4de4388, "rpcauth_init_credcache" },
	{ 0xb43fe769, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xc8f11b0e, "xdr_init_decode" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc9c7eb6a, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xce85bef2, "rpc_call_null" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x97c0803d, "rpc_sleep_on_timeout" },
	{ 0xc8da2e4b, "rpc_create" },
	{ 0x1305c591, "bpf_trace_run1" },
	{ 0x4e90325b, "rpc_call_sync" },
	{ 0x242028a6, "from_kuid" },
	{ 0x731c18b6, "unregister_pernet_subsys" },
	{ 0xc7093a74, "rpc_queue_upcall" },
	{ 0x54803cbe, "xdr_encode_word" },
	{ 0x2bc95bd4, "memset" },
	{ 0xad2e8f9d, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0f07647, "svcauth_unix_set_client" },
	{ 0x8f1c1361, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x5eb04758, "make_kgid" },
	{ 0x1bb22a5d, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xff0b2d1a, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8dc366e0, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc43d35ec, "bpf_trace_run3" },
	{ 0xaed0790b, "__put_net" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x3247cb43, "rpc_mkpipe_dentry" },
	{ 0xa3ab5ba4, "rpc_mkpipe_data" },
	{ 0xe76bcb0a, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x971d97ab, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x7af1c767, "cache_register_net" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0x3d92ede0, "alloc_pages" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xead7208b, "xdr_inline_pages" },
	{ 0x87911833, "__folio_put" },
	{ 0x8a301e08, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x2753039a, "rpc_init_wait_queue" },
	{ 0xe917b4e3, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x546db229, "rpc_unlink" },
	{ 0x7680dac8, "rpcauth_wrap_req_encode" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xb16b216, "from_kuid_munged" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x1d32e3cf, "rpcauth_init_cred" },
	{ 0x44b9ca44, "page_address" },
	{ 0xf8e60a8b, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x961c8aad, "cache_destroy_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf5324ae4, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xa8e28beb, "xdr_stream_pos" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xd82adb53, "sunrpc_cache_update" },
	{ 0xbad05a06, "xdr_truncate_encode" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c9781dc, "rpc_destroy_wait_queue" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3e5148f8, "auth_domain_put" },
	{ 0xb09616a9, "rpcauth_unwrap_resp_decode" },
	{ 0x2e7c83d7, "rpcauth_register" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F3920738A7BE5AEB46C888E");
