#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x7354fcea, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x8cf65937, "_gpl");
SYMBOL_CRC(tls_get_record, 0xd0796bb9, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xc92cbafe, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x581fd591, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99ad4493, "sk_msg_free" },
	{ 0x5730404d, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2b023d2a, "bpf_trace_run4" },
	{ 0xc864907f, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbdf811b9, "sk_page_frag_refill" },
	{ 0x117fac1d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x65355151, "tcp_sendmsg_locked" },
	{ 0x2b05272a, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5db6c0da, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8536ae94, "sk_psock_msg_verdict" },
	{ 0x35f408a5, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2cfafd3, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x881ec066, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x83c4fc27, "iov_iter_get_pages2" },
	{ 0xa4b6f41b, "___pskb_trim" },
	{ 0xfe8b5a9, "trace_event_raw_init" },
	{ 0x3b40879d, "check_zeroed_user" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xfcf2b903, "clean_acked_data_enable" },
	{ 0xffd4d44b, "skb_splice_bits" },
	{ 0xa4db4b08, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x1864458, "crypto_aead_setauthsize" },
	{ 0x85cfd0ae, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc576dff, "sk_stream_error" },
	{ 0x736e4434, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10bc9c0f, "sk_msg_memcopy_from_iter" },
	{ 0xcdf87669, "sk_error_report" },
	{ 0x1aacb315, "register_pernet_subsys" },
	{ 0x84abb96c, "put_cmsg" },
	{ 0xd123d67a, "__sk_flush_backlog" },
	{ 0x37a108b2, "trace_event_buffer_commit" },
	{ 0x10a1a941, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7eb04a78, "sk_psock_tls_strp_read" },
	{ 0x9eadfed6, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9662202a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x78dbeea4, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x3b0d105f, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x74435dc3, "tcp_recv_skb" },
	{ 0x4705e4d4, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfc99fe75, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x570c0a2f, "crypto_aead_encrypt" },
	{ 0xf233cfff, "bpf_trace_run5" },
	{ 0xbc003458, "sk_free" },
	{ 0x18fba543, "skb_store_bits" },
	{ 0xea1fb1db, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9afb3faf, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xed6528ca, "sk_stream_wait_memory" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xc9c7eb6a, "trace_event_reg" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x9e1ea3b8, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x844e230f, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x375e729f, "lock_sock_nested" },
	{ 0x5ba9c040, "sk_msg_return_zero" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x72a1cd6b, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1305c591, "bpf_trace_run1" },
	{ 0x3aea3810, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x731c18b6, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9946e61, "sock_efree" },
	{ 0x3f515601, "iov_iter_bvec" },
	{ 0xf56a8fa5, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x168907dc, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8c59fb5, "sk_msg_free_partial" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xbe064cd9, "skb_trim" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xedb9cc32, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54d51256, "tcp_register_ulp" },
	{ 0xc43d35ec, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x92a12513, "sk_psock_drop" },
	{ 0x9c1900c, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x236358b2, "skb_page_frag_refill" },
	{ 0x971d97ab, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xf328b8cf, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x3d92ede0, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x87911833, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8a301e08, "remove_proc_entry" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x91682cc8, "seq_printf" },
	{ 0xcbf1c3fb, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1ebe9cd4, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6e9ce375, "dst_release" },
	{ 0x47fc3711, "_copy_from_iter" },
	{ 0x994ac1b4, "skb_copy_header" },
	{ 0x8d1febf1, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x702aae76, "netdev_sk_get_lowest_dev" },
	{ 0x33a8994a, "sk_msg_alloc" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x44b9ca44, "page_address" },
	{ 0xdc402a59, "_copy_from_iter_nocache" },
	{ 0x4ab28f55, "tcp_rate_check_app_limited" },
	{ 0xd82d33a3, "tcp_poll" },
	{ 0x4e4a2aff, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9c309d1c, "sk_msg_zerocopy_from_iter" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xb768b0a0, "skb_to_sgvec" },
	{ 0x29f3a126, "up_read" },
	{ 0xd01be47d, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x341ac877, "tcp_read_done" },
	{ 0xfb64b248, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F479D7585B3F6BF03B3F3CD");
