#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f019d72, "snd_seq_kernel_client_enqueue" },
	{ 0x654c823b, "snd_seq_driver_unregister" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4d8ca7f8, "snd_info_register" },
	{ 0xb8e448a0, "snd_seq_set_queue_tempo" },
	{ 0xed167335, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6bb71038, "snd_seq_delete_kernel_client" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x85cd59a8, "snd_seq_kernel_client_dispatch" },
	{ 0x63ab29d8, "snd_info_free_entry" },
	{ 0xd18ce989, "snd_seq_root" },
	{ 0x37a0cba, "kfree" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0x69e8958b, "snd_unregister_oss_device" },
	{ 0x23738926, "snd_seq_dump_var_event" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x42407599, "snd_register_oss_device" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xadb51cff, "snd_seq_client_ioctl_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdd935c83, "snd_midi_event_free" },
	{ 0xd6303894, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7a3e0db5, "snd_midi_event_no_status" },
	{ 0x49e29d93, "noop_llseek" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x3061c52d, "snd_use_lock_sync_helper" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7b8699eb, "snd_seq_event_port_detach" },
	{ 0xe9e6c50c, "snd_midi_event_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x105a2692, "__snd_seq_driver_register" },
	{ 0x454224b1, "snd_midi_event_decode" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0xe50413d7, "snd_seq_client_ioctl_lock" },
	{ 0x7055f6fc, "snd_seq_create_kernel_client" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x91682cc8, "seq_printf" },
	{ 0xedee46bb, "snd_seq_kernel_client_write_poll" },
	{ 0x70758652, "snd_midi_event_encode_byte" },
	{ 0x1a724fcc, "snd_seq_kernel_client_ctl" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0xb8620ad8, "snd_midi_event_reset_decode" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "snd-seq,snd-seq-device,snd,snd-seq-midi-event");


MODULE_INFO(srcversion, "668EC46C39B47094C0517ED");
