#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(__snd_printk, "_gpl", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0xcf6b1aa9, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x60b29e7e, "");
SYMBOL_CRC(snd_unregister_device, 0x037fb04e, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x6cf82384, "");
SYMBOL_CRC(snd_device_initialize, 0x949da23d, "_gpl");
SYMBOL_CRC(snd_card_new, 0x4733ca7d, "");
SYMBOL_CRC(snd_devm_card_new, 0xe1c34313, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x05ff3426, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x491ef49b, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x47c87cd1, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x7c0aebe2, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x26d2ca4b, "");
SYMBOL_CRC(snd_card_free, 0x8ed13da3, "");
SYMBOL_CRC(snd_card_set_id, 0xeadc7d38, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x1004cc7b, "_gpl");
SYMBOL_CRC(snd_card_register, 0xfe3b68b4, "");
SYMBOL_CRC(snd_component_add, 0xf79aefb8, "");
SYMBOL_CRC(snd_card_file_add, 0x3a738e4a, "");
SYMBOL_CRC(snd_card_file_remove, 0x8c301802, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x71441a98, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xf4252a78, "");
SYMBOL_CRC(copy_to_user_fromio, 0x602c96f0, "");
SYMBOL_CRC(copy_from_user_toio, 0xce3ca308, "");
SYMBOL_CRC(snd_ctl_notify, 0x2d54dcd2, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x628267ab, "");
SYMBOL_CRC(snd_ctl_new1, 0xfd7c7223, "");
SYMBOL_CRC(snd_ctl_free_one, 0xbf29ddb9, "");
SYMBOL_CRC(snd_ctl_add, 0xc28725a0, "");
SYMBOL_CRC(snd_ctl_replace, 0xb2c032f3, "");
SYMBOL_CRC(snd_ctl_remove, 0x966af3d5, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x539584db, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x1d8620b6, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x137ed602, "");
SYMBOL_CRC(snd_ctl_rename, 0xf090312e, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x10f9796f, "");
SYMBOL_CRC(snd_ctl_find_id, 0x0a45b9a4, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x3d245aec, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x496f19af, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x9121acef, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x31830a2d, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xd12bb62c, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xc8a37c7e, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x1475743b, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x5e249210, "");
SYMBOL_CRC(snd_fasync_helper, 0xcbd50c25, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xa5095894, "");
SYMBOL_CRC(snd_device_disconnect, 0xabbe8aa4, "_gpl");
SYMBOL_CRC(snd_device_free, 0xa3ef2093, "");
SYMBOL_CRC(snd_device_register, 0xec6ffd2b, "");
SYMBOL_CRC(snd_device_get_state, 0x4416cc9a, "_gpl");
SYMBOL_CRC(snd_seq_root, 0xd18ce989, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xed167335, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x7f6539a6, "");
SYMBOL_CRC(snd_info_free_entry, 0x63ab29d8, "");
SYMBOL_CRC(snd_info_register, 0x4d8ca7f8, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x9cf24e4c, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x277e7d48, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x42407599, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x69e8958b, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x9a0ee123, "");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x94af20ee, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x32fe4097, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x2d7e3690, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x3a5ab4e1, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x8ddc01c0, "");
SYMBOL_CRC(snd_jack_new, 0xbd518a32, "");
SYMBOL_CRC(snd_jack_set_parent, 0x88914ed8, "");
SYMBOL_CRC(snd_jack_set_key, 0x042836a4, "");
SYMBOL_CRC(snd_jack_report, 0xdbdf5f2b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84f4cae5, "input_allocate_device" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x99789856, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd6ae68c2, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x4b6dfa0e, "proc_mkdir_mode" },
	{ 0x30e4da0c, "device_initialize" },
	{ 0xd450e380, "param_array_ops" },
	{ 0xa1d131ed, "vmemdup_user" },
	{ 0xe1c0c35f, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xccc1d4d0, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xab187282, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5f41fa3e, "devm_remove_action" },
	{ 0x9d6a064c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1256d3b8, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xebb02955, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2f3fa423, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x666dc633, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0xc7c39990, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x60b37586, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x753b2b, "register_sound_special_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x9f984513, "strrchr" },
	{ 0xd6303894, "module_put" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5af8e078, "down_write" },
	{ 0xe378da12, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x67854f14, "device_add" },
	{ 0xdffd6e38, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x49e29d93, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4a71089a, "input_set_capability" },
	{ 0x7c74d0c8, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc0537de, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x51c3c771, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc0ee8c60, "device_del" },
	{ 0x9dbe5b73, "proc_mkdir" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0xa9a390d1, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf82abc1d, "isa_dma_bridge_buggy" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c05770a, "input_event" },
	{ 0xbe528c55, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x306fe3f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xeab0f8a8, "proc_set_size" },
	{ 0xd2b70938, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8d0b8cdc, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x91682cc8, "seq_printf" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdfdc7b29, "stream_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1fc8cdf8, "single_release" },
	{ 0x62f202a3, "pid_vnr" },
	{ 0xa24b9acf, "devres_find" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x99f767ef, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x5840d1e5, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0xd0d8621b, "strlen" },
	{ 0xcea00e30, "proc_symlink" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa4daaba9, "single_open" },
	{ 0x861c12a8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29f3a126, "up_read" },
	{ 0x4b9d249e, "put_pid" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "9064F275E58F54C28D8842C");
