#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84f4cae5, "input_allocate_device" },
	{ 0x1d15aba1, "usb_alloc_urb" },
	{ 0x56be8c01, "snd_rawmidi_receive" },
	{ 0xe29925bb, "usb_free_urb" },
	{ 0xb71d986d, "snd_pcm_hw_limit_rates" },
	{ 0x3bd58899, "snd_rawmidi_transmit" },
	{ 0xc28725a0, "snd_ctl_add" },
	{ 0xa004b286, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfe3b68b4, "snd_card_register" },
	{ 0x8ed13da3, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9c858c9c, "usb_register_driver" },
	{ 0xd450e380, "param_array_ops" },
	{ 0xe1c0c35f, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x666dc633, "input_free_device" },
	{ 0xfd7c7223, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1c0d8b5c, "usb_bulk_msg" },
	{ 0xc7c39990, "input_register_device" },
	{ 0x95a9ee8b, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x9f6b5dd0, "usb_submit_urb" },
	{ 0x4733ca7d, "snd_card_new" },
	{ 0x4a299e50, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeadc7d38, "snd_card_set_id" },
	{ 0xe378da12, "_dev_err" },
	{ 0x6ba523a3, "usb_set_interface" },
	{ 0xd580a534, "snd_pcm_set_ops" },
	{ 0xe26ff531, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x53cf63e5, "usb_string" },
	{ 0x9dd4d002, "snd_pcm_set_managed_buffer_all" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0xa9a390d1, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c05770a, "input_event" },
	{ 0xef064243, "input_set_abs_params" },
	{ 0x5e054e82, "snd_rawmidi_new" },
	{ 0x47c87cd1, "snd_card_disconnect" },
	{ 0xeea0399, "strscpy" },
	{ 0x15336ff2, "snd_rawmidi_set_ops" },
	{ 0x557a0c2, "param_ops_bool" },
	{ 0xcfc92379, "usb_kill_urb" },
	{ 0xe254c481, "usb_init_urb" },
	{ 0xba201774, "snd_pcm_period_elapsed" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd-pcm,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DB42534C44C061BAB772F92");
