#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0xd578231c, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xf28ad39f, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x5b71e0e2, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x4a106f32, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xb90c796a, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x2b1e6b45, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xc7172afa, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x18bef25e, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xb6a5610f, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xe3f6b275, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x68f6d373, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x353a8873, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x4188c6c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x3f419583, "crypto_alloc_skcipher" },
	{ 0x10a1a941, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe3e859cf, "crypto_alloc_ahash" },
	{ 0xa4db4b08, "crypto_alloc_aead" },
	{ 0x6279a759, "crypto_skcipher_setkey" },
	{ 0x618278a8, "crypto_spawn_tfm2" },
	{ 0x25a1b627, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x707fda30, "crypto_shash_setkey" },
	{ 0x10a6bb55, "crypto_clone_shash" },
	{ 0x1864458, "crypto_aead_setauthsize" },
	{ 0x4705e4d4, "crypto_aead_setkey" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xb707b881, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x25468b4a, "crypto_enqueue_request" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb4ff9db, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xdf280243, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x9baf9d55, "crypto_grab_shash" },
	{ 0xfde12b7, "crypto_grab_skcipher" },
	{ 0x31796d38, "skcipher_register_instance" },
	{ 0xc967b311, "crypto_grab_aead" },
	{ 0xd1079bf1, "aead_register_instance" },
	{ 0x1d8d0082, "shash_no_setkey" },
	{ 0xfdd7d1e9, "ahash_register_instance" },
	{ 0x3898b06d, "crypto_skcipher_decrypt" },
	{ 0x92475022, "crypto_skcipher_encrypt" },
	{ 0x5ab31fc3, "shash_ahash_digest" },
	{ 0xfd2b69db, "shash_ahash_finup" },
	{ 0x823ce759, "crypto_shash_final" },
	{ 0x781b65e, "shash_ahash_update" },
	{ 0x712546e2, "param_ops_uint" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA85586D61174CF6C4F2FB2");
