#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x98c76136, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0xaf0e2838, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0xbf58f990, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0xaddca993, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xdf7b1fbd, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x87abdb82, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xbcae83a1, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xd4c0abd8, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x0d06ddf6, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x58a252b9, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x36cbdc6f, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x087642ad, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x5db4d286, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0xc1eeb7a7, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x30c0cddf, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x391890d5, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x9057cbcd, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x4f30665b, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xa4b96687, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xfed781c7, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xcde9d38e, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0xa039f4af, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0xb557c36c, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xfdc5b453, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x16d297ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1209f366, "bus_unregister_notifier" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x5a36b4a5, "of_node_put" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x99789856, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd08bc087, "i2c_client_type" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xdc583358, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x30e4da0c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x118c98e5, "of_node_get" },
	{ 0x30c88ecc, "of_get_next_available_child" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60b37586, "put_device" },
	{ 0x76f95e9d, "bus_register_notifier" },
	{ 0x8dad94ff, "i2c_del_adapter" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xe378da12, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x67854f14, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x33dbc984, "i2c_new_client_device" },
	{ 0x556accca, "i2c_bus_type" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0xd3f4c025, "device_register" },
	{ 0xc0ee8c60, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x1a56836d, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb134a998, "of_alias_get_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x30aad9c6, "of_i2c_get_board_info" },
	{ 0x29f3a126, "up_read" },
	{ 0x589acbc6, "driver_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6536CA7ACE50CEAC0BA6195");
