#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");
KSYMTAB_FUNC(lirc_scancode_event, "_gpl", "");

SYMBOL_CRC(rc_map_get, 0xfc5d3079, "_gpl");
SYMBOL_CRC(rc_map_register, 0xb960f15c, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0x2ed90ced, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0x3cbeb723, "_gpl");
SYMBOL_CRC(rc_keyup, 0xc8a326f2, "_gpl");
SYMBOL_CRC(rc_repeat, 0x4bac5308, "_gpl");
SYMBOL_CRC(rc_keydown, 0x3139f645, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0x9c451bb4, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0x7e21b99c, "_gpl");
SYMBOL_CRC(rc_free_device, 0xe6eb3abf, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0xb6a9befa, "_gpl");
SYMBOL_CRC(rc_register_device, 0x1cb83cb3, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0x47a6eebb, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0xc86872ea, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0xed5f3dff, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0x4c3f48bf, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0xd0ee276e, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0x1a158a35, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0x20eb7c82, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0x21031de5, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0x54f99606, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0x440b9af1, "");
SYMBOL_CRC(lirc_scancode_event, 0x6eb64e97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84f4cae5, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x99789856, "dev_set_name" },
	{ 0x8235805b, "memmove" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8515c84b, "cdev_device_del" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5f4a14ab, "class_destroy" },
	{ 0x2dc2b9ff, "led_trigger_register_simple" },
	{ 0x8f8f657f, "bsearch" },
	{ 0x30e4da0c, "device_initialize" },
	{ 0xe1c0c35f, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf52db7c6, "kobject_get_path" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x44ad2284, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbcdcf567, "__module_get" },
	{ 0x9d6a064c, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1256d3b8, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ad973d6, "wake_up_process" },
	{ 0x666dc633, "input_free_device" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x9e9e854a, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xc7c39990, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60b37586, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x70f92335, "_dev_info" },
	{ 0xd6303894, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4803b276, "fput" },
	{ 0xe378da12, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x67854f14, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcdde10eb, "class_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc0537de, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xffb7c514, "ida_free" },
	{ 0xdeebd658, "class_unregister" },
	{ 0x709bfa09, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc0ee8c60, "device_del" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c05770a, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56f40a43, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdfdc7b29, "stream_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7e00a94d, "led_trigger_event" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xa0d5df01, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb6b4b726, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "25081AE4487CC7ACCCBC3BB");
