#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x942476de, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x351947e0, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x9c9fbf7e, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xb9c630ff, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xd86d0678, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x927c8cef, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x3b19ac34, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x99cb33ac, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xb55556c6, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x7a1d023b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xe4ce0680, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5a63b3f, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xbce7e321, "usb_driver_release_interface" },
	{ 0x27c7d29, "usb_altnum_to_altsetting" },
	{ 0xde4eae4f, "__dynamic_netdev_dbg" },
	{ 0x9c858c9c, "usb_register_driver" },
	{ 0xe26ff531, "usb_deregister" },
	{ 0xcd9615c9, "usbnet_link_change" },
	{ 0x70f92335, "_dev_info" },
	{ 0x13beca4b, "usbnet_update_max_qlen" },
	{ 0x31ae3ff, "usbnet_unlink_rx_urbs" },
	{ 0x4760cd62, "usbnet_write_cmd" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0x8f9b0b81, "netif_tx_lock" },
	{ 0x9491d5a7, "usbnet_start_xmit" },
	{ 0xc3d3bbb, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xef34bf3e, "hrtimer_active" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x19169e29, "usbnet_read_cmd" },
	{ 0x294e5575, "__netdev_alloc_skb" },
	{ 0x117fac1d, "skb_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0x50cabd99, "usbnet_skb_return" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x29258fe0, "cdc_parse_cdc_header" },
	{ 0xb02757a1, "usb_ifnum_to_if" },
	{ 0x6b95e433, "usb_driver_claim_interface" },
	{ 0x6ba523a3, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x61d2f5c0, "usbnet_get_ethernet_addr" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe378da12, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9662202a, "__alloc_skb" },
	{ 0xb3842487, "usbnet_manage_power" },
	{ 0xa6f1670a, "usbnet_cdc_update_filter" },
	{ 0x91735ee5, "usbnet_open" },
	{ 0x1687db11, "usbnet_stop" },
	{ 0x78a6a293, "usbnet_set_rx_mode" },
	{ 0x19a7e107, "eth_mac_addr" },
	{ 0x39dd97a7, "eth_validate_addr" },
	{ 0xcea78399, "usbnet_tx_timeout" },
	{ 0x6ef6632f, "dev_get_tstats64" },
	{ 0xbb9f48f9, "usbnet_get_drvinfo" },
	{ 0x1348506b, "usbnet_get_msglevel" },
	{ 0xc2878d60, "usbnet_set_msglevel" },
	{ 0x3e23c188, "usbnet_nway_reset" },
	{ 0x21441498, "usbnet_get_link" },
	{ 0xd47ba868, "ethtool_op_get_ts_info" },
	{ 0x23cced77, "usbnet_get_link_ksettings_internal" },
	{ 0x5dbe70f5, "usbnet_probe" },
	{ 0x2907534, "usbnet_disconnect" },
	{ 0x1b98530f, "usbnet_suspend" },
	{ 0x69f85b70, "usbnet_resume" },
	{ 0x557a0c2, "param_ops_bool" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");
