#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x21cd5951, "");
SYMBOL_CRC(sas_remove_host, 0xe66719e9, "");
SYMBOL_CRC(sas_get_address, 0xa37e93aa, "");
SYMBOL_CRC(sas_tlr_supported, 0xe4dd5469, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xede32918, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xc83232c3, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xfe52b70f, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x6be7a136, "");
SYMBOL_CRC(sas_phy_add, 0x820b81c5, "");
SYMBOL_CRC(sas_phy_free, 0x297d91ad, "");
SYMBOL_CRC(sas_phy_delete, 0xc6e88706, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x74d9a54c, "");
SYMBOL_CRC(sas_port_alloc, 0x9c38a7ad, "");
SYMBOL_CRC(sas_port_alloc_num, 0xb8f03a85, "");
SYMBOL_CRC(sas_port_add, 0xb279d4bf, "");
SYMBOL_CRC(sas_port_free, 0x343fdbd0, "");
SYMBOL_CRC(sas_port_delete, 0xae019ef6, "");
SYMBOL_CRC(scsi_is_sas_port, 0xec17e156, "");
SYMBOL_CRC(sas_port_get_phy, 0x1971544a, "");
SYMBOL_CRC(sas_port_add_phy, 0xaa65daf1, "");
SYMBOL_CRC(sas_port_delete_phy, 0x8d9bad5a, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x5e66d24d, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x9d12d217, "");
SYMBOL_CRC(sas_end_device_alloc, 0x58dfcb2c, "");
SYMBOL_CRC(sas_expander_alloc, 0xe2f012ec, "");
SYMBOL_CRC(sas_rphy_add, 0x1e870c73, "");
SYMBOL_CRC(sas_rphy_free, 0xde17a175, "");
SYMBOL_CRC(sas_rphy_delete, 0x88ec9bf0, "");
SYMBOL_CRC(sas_rphy_unlink, 0xdbd77eab, "");
SYMBOL_CRC(sas_rphy_remove, 0xc036e576, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x3fe852d7, "");
SYMBOL_CRC(sas_attach_transport, 0xabae01e5, "");
SYMBOL_CRC(sas_release_transport, 0x3e7a78d8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7add82a4, "device_for_each_child" },
	{ 0x60b37586, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x67854f14, "device_add" },
	{ 0xabc64832, "transport_add_device" },
	{ 0x82e78d1a, "transport_configure_device" },
	{ 0xc0ee8c60, "device_del" },
	{ 0xb8ca27a1, "transport_destroy_device" },
	{ 0x83038fe8, "transport_remove_device" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9d6a064c, "get_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x59010e2e, "sysfs_remove_link" },
	{ 0x7c26310, "sysfs_create_link" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xdae5d706, "_dev_printk" },
	{ 0x577a0fb7, "scsi_scan_target" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5d48858c, "bsg_setup_queue" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9291f9e1, "transport_class_register" },
	{ 0x355e3548, "transport_class_unregister" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0xd3755d23, "attribute_container_register" },
	{ 0x439dc365, "scsi_get_vpd_page" },
	{ 0x10b1284b, "scsi_mode_sense" },
	{ 0x6f08dadf, "attribute_container_unregister" },
	{ 0xe7a7a8ce, "scsi_remove_host" },
	{ 0x8e4e9e71, "bsg_remove_queue" },
	{ 0x3f576dad, "scsi_remove_target" },
	{ 0xb5966baf, "scsi_is_host_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0xf4b1381e, "bsg_job_done" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6b1e8f1b, "dma_opt_mapping_size" },
	{ 0x30e4da0c, "device_initialize" },
	{ 0x99789856, "dev_set_name" },
	{ 0x82923818, "transport_setup_device" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "CF3C57A660508DE2073A421");
