#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_find_slot_id_by_port, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0xfada3e76, "_gpl");
SYMBOL_CRC(xhci_stop, 0xe267b5fc, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0x7c74649c, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xabc92edb, "_gpl");
SYMBOL_CRC(xhci_resume, 0x161f8ba8, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0xd9c891fd, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0xd6a02634, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0x66c28c75, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0xcd7d9809, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x8d82f44a, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0xd1c42620, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0xe48acc34, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0xb3edba9e, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x204bc5da, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_find_slot_id_by_port, 0x26084019, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x972cc89c, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0xcf90bf22, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0x5093e76e, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0xd7dccd23, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0x9ac58f15, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0xa19561fb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x74ed793e, "param_ops_ullong" },
	{ 0x1ef556af, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf6ea7dd5, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x94d7c9f6, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5ed9156, "usb_hcd_resume_root_hub" },
	{ 0x916b7c97, "usb_hcd_unlink_urb_from_ep" },
	{ 0x32a4d384, "usb_hcd_start_port_resume" },
	{ 0x1f455590, "usb_amd_pt_check_port" },
	{ 0x702e2647, "usb_hc_died" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5db6c0da, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xdc13d2, "__kmalloc_node" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2cfafd3, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xe8dbef57, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x881ec066, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x37dcb751, "usb_wakeup_notification" },
	{ 0xfe8b5a9, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xccc1d4d0, "seq_lseek" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfeea9e93, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf3eb1323, "kstrtou16_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x2f3fa423, "dev_driver_string" },
	{ 0x37a108b2, "trace_event_buffer_commit" },
	{ 0xd38f0ffe, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc125ea0d, "usb_hcd_map_urb_for_dma" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc930e5f, "kmalloc_node_trace" },
	{ 0xea98f33c, "debugfs_create_regset32" },
	{ 0x70f92335, "_dev_info" },
	{ 0x7878ff83, "platform_device_add_resources" },
	{ 0x85fdcdaf, "usb_hcd_check_unlink_urb" },
	{ 0xf2bed00b, "iommu_get_domain_for_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x5252087f, "device_create_managed_software_node" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfc99fe75, "perf_trace_run_bpf_submit" },
	{ 0xe378da12, "_dev_err" },
	{ 0x36ff5a6e, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xfaed16a1, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd3915dca, "dma_alloc_attrs" },
	{ 0x7c74d0c8, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x160e7228, "platform_device_add" },
	{ 0xc9c7eb6a, "trace_event_reg" },
	{ 0x5e694b8b, "platform_device_alloc" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1305c591, "bpf_trace_run1" },
	{ 0x4d502e6c, "usb_hcd_link_urb_to_ep" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x25f6527e, "_dev_warn" },
	{ 0xd3357fe4, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb1ca58be, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4f94584, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1c122866, "dma_set_coherent_mask" },
	{ 0xfbdb353d, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xc43d35ec, "bpf_trace_run3" },
	{ 0x306fe3f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0xb50fb9f, "debugfs_create_file" },
	{ 0x73538723, "dma_free_attrs" },
	{ 0x778f9d06, "pm_runtime_allow" },
	{ 0x971d97ab, "trace_event_buffer_reserve" },
	{ 0x8b3d5317, "usb_hcd_giveback_urb" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x91682cc8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3beaa8f1, "usb_hcd_poll_rh_status" },
	{ 0x6d4a74e0, "usb_acpi_set_power_state" },
	{ 0xeceda3c9, "usb_disable_xhci_ports" },
	{ 0x1fc8cdf8, "single_release" },
	{ 0xc29cad01, "dma_set_mask" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x625dbb48, "usb_debug_root" },
	{ 0x99f767ef, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa4daaba9, "single_open" },
	{ 0xdab76e23, "usb_hcd_unmap_urb_for_dma" },
	{ 0x861c12a8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0xa2296f64, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "209FBA3618D81288A9D85A6");
