#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xd41a20fc, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x08e5bfe8, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x1729e256, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xeaff6d5e, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2b023d2a, "bpf_trace_run4" },
	{ 0x3a6ad19, "config_group_init" },
	{ 0x20978fb9, "idr_find" },
	{ 0x23825c44, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x8235805b, "memmove" },
	{ 0xec529a6b, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5db6c0da, "trace_raw_output_prep" },
	{ 0x73ba18b3, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x35f408a5, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2cfafd3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x881ec066, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa8dfff4c, "config_item_get" },
	{ 0xddae7d9d, "kernel_bind" },
	{ 0xfe8b5a9, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb367e3d8, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9998508d, "kset_unregister" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xccc1d4d0, "seq_lseek" },
	{ 0x5d4df781, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x7d6ab55b, "call_srcu" },
	{ 0xfeea9e93, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x9cc62888, "kernel_accept" },
	{ 0xbbe20267, "kernel_recvmsg" },
	{ 0x692fbadc, "kmem_cache_create" },
	{ 0x38cb3d6d, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4939f5e0, "configfs_unregister_subsystem" },
	{ 0x9ad973d6, "wake_up_process" },
	{ 0x37a108b2, "trace_event_buffer_commit" },
	{ 0x924a4601, "locks_lock_inode_wait" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x76eab09f, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0xaba8c71, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf9aa45c6, "__free_pages" },
	{ 0x1d1d3ae7, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd6303894, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfc99fe75, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0x6415e259, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xd28d3fe6, "simple_open" },
	{ 0xf5bd90e7, "configfs_register_subsystem" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9f5cfb08, "configfs_remove_default_groups" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49e29d93, "noop_llseek" },
	{ 0x54021a83, "config_group_init_type_name" },
	{ 0xf233cfff, "bpf_trace_run5" },
	{ 0x7056aa9b, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x58db8a97, "kmem_cache_free" },
	{ 0x7c74d0c8, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x21a8042b, "seq_putc" },
	{ 0xc9c7eb6a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf1e046cc, "panic" },
	{ 0xde78e575, "kobject_init_and_add" },
	{ 0x8bc9405e, "sock_sendmsg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x375e729f, "lock_sock_nested" },
	{ 0x709bfa09, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe38013c4, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x8c77b31e, "default_llseek" },
	{ 0xa7fc6651, "sock_set_reuseaddr" },
	{ 0x2bc95bd4, "memset" },
	{ 0x3f515601, "iov_iter_bvec" },
	{ 0x3b8f41a5, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56f40a43, "kthread_create_on_node" },
	{ 0xc43d35ec, "bpf_trace_run3" },
	{ 0x306fe3f7, "seq_read" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb50fb9f, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x971d97ab, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5708629, "config_item_init_type_name" },
	{ 0x6f981f2f, "sock_create_kern" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x3d92ede0, "alloc_pages" },
	{ 0xe1c8131, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x91682cc8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdeb2294c, "kobject_uevent" },
	{ 0x84724a0a, "sock_release" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0x47574133, "seq_puts" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1fc8cdf8, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3290cab2, "tcp_sock_set_nodelay" },
	{ 0x2d32b382, "seq_open" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x44b9ca44, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa4daaba9, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x861c12a8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0xffa30ef9, "sock_bind_add" },
	{ 0x753b9564, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc20edd03, "kmem_cache_destroy" },
	{ 0xfb64b248, "release_sock" },
	{ 0xc7331f56, "kset_create_and_add" },
	{ 0xfbd7cb73, "kobject_put" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "D2E7337BC88CE7DAF07AA31");
