#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x26f4ee61, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xa44de888, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x35e1bf01, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x1cf18fad, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x62173541, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x661c859a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x81f7e220, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xba25e9ee, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xb3d7fda2, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x72b26599, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x5a3a9b47, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xd1601336, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xa9db08bd, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x22d5eeb9, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x3e74785b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x72c2e536, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xd194f9cb, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xd54975e6, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x8d8dbc80, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x94f4b970, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x29c6a7a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfc99fe75, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x971d97ab, "trace_event_buffer_reserve" },
	{ 0x37a108b2, "trace_event_buffer_commit" },
	{ 0x2cfafd3, "__trace_trigger_soft_disabled" },
	{ 0x5db6c0da, "trace_raw_output_prep" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x881ec066, "trace_event_printf" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x1305c591, "bpf_trace_run1" },
	{ 0xfeea9e93, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1b776e18, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x72c7c5bb, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6f981f2f, "sock_create_kern" },
	{ 0xddae7d9d, "kernel_bind" },
	{ 0x90b5166a, "udp_sock_create6" },
	{ 0x7056aa9b, "kernel_sock_shutdown" },
	{ 0x84724a0a, "sock_release" },
	{ 0x3f63c355, "kernel_connect" },
	{ 0x95949d6a, "udp_sock_create4" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xbc003458, "sk_free" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xea1fb1db, "kfree_skb_reason" },
	{ 0x25333d, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2e60bace, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x667c750, "udp_set_csum" },
	{ 0x40ac8c7d, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b694328, "pskb_expand_head" },
	{ 0xa5fc0a04, "udp6_set_csum" },
	{ 0x5d0d2f8d, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x6e9ce375, "dst_release" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xc2b97beb, "sockfd_lookup" },
	{ 0x375e729f, "lock_sock_nested" },
	{ 0xfb64b248, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4803b276, "fput" },
	{ 0xa71ade1e, "setup_udp_tunnel_sock" },
	{ 0x5152e605, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1497f28, "skb_queue_tail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2361bf4e, "__pskb_pull_tail" },
	{ 0xc9c7eb6a, "trace_event_reg" },
	{ 0xfe8b5a9, "trace_event_raw_init" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "7512B1DCD48B8760E388269");
