#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_update, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(__nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_expr_reduce_bitwise, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_reduce, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");
KSYMTAB_FUNC(nft_ct_get_fast_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0xfa9a753b, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0xd7135b35, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0x6105315b, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0x7084a575, "_gpl");
SYMBOL_CRC(nft_request_module, 0x382f9874, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x226f11b6, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x8d2a3260, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x5cc64046, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0xc022fd76, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x6ea0c064, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xdd2786d8, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x988f3e2b, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0xfc69ef3d, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x98632090, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x2a4f49a5, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0xe6dd721b, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x5a91a6c1, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x295226fb, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x30c67d75, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0xb3bc15b3, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x77b1158e, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x9ae7e63c, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x2376c255, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0xaedabc01, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x71feb94d, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x7f3e5f91, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0xbc0a7570, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x3b5d8b68, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0xe6bac087, "_gpl");
SYMBOL_CRC(nft_data_init, 0xde6b53c8, "_gpl");
SYMBOL_CRC(nft_data_release, 0xd27c9515, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xb102c141, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x406b24ef, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0xb2738742, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0x3371622c, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x22dc1ff6, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xb0f52b57, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0x4cecbb60, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x2403d42f, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x7181794c, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x8f2a3a76, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x7aa77f79, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x3edf4b5c, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0xed297df6, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0xc2ebfd3f, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x64984e9e, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x3d8364fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9187694, "__do_once_done" },
	{ 0x791083ae, "__netlink_dump_start" },
	{ 0x9a08e8ce, "flow_rule_alloc" },
	{ 0x7fce91a0, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0xc864907f, "skb_copy_bits" },
	{ 0x8659e8b6, "__nlmsg_put" },
	{ 0x117fac1d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2dd8e174, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0xdc13d2, "__kmalloc_node" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xca9360b5, "rb_next" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x36172e41, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x5be06a8b, "flow_block_cb_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xb05ef9e8, "nfnetlink_subsys_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe56e7ddf, "ip6_route_me_harder" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbcdcf567, "__module_get" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x71276ff7, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1aacb315, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x41d191b4, "__ip_options_compile" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xfaf92fec, "nf_route" },
	{ 0x738803e6, "strnlen" },
	{ 0x9662202a, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xd6303894, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x56a4c3a4, "nf_unregister_net_hook" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x76cbe8fe, "nf_register_net_hook" },
	{ 0xfcf61d7b, "__skb_get_hash" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3ee06af4, "ip6_mtu" },
	{ 0x92ef2e71, "ip_route_me_harder" },
	{ 0x18fba543, "skb_store_bits" },
	{ 0xadcc6a0f, "dev_get_by_index_rcu" },
	{ 0xea1fb1db, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x75699b0b, "nfnetlink_unicast" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x774b497d, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe5fc4959, "flow_indr_dev_setup_offload" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x731c18b6, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x63dd7328, "skb_checksum" },
	{ 0x2bc95bd4, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xfbd3beb0, "nfnetlink_send" },
	{ 0xe9ea1ed4, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2361bf4e, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0xbda07b1b, "nfnetlink_subsys_unregister" },
	{ 0x4e87099c, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe064cd9, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xaed0790b, "__put_net" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x895e6b52, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa950c7fc, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xa88074e8, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8c36053, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x1916f770, "rhltable_init" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x6e9ce375, "dst_release" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xb16b216, "from_kuid_munged" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x984ffcd2, "nfnetlink_has_listeners" },
	{ 0x92b57248, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "C76C71066128CA944E72883");
