#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x5c9368e8, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x29464b17, "");
SYMBOL_CRC(wiphy_register, 0x85b0f798, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xcd51c603, "");
SYMBOL_CRC(wiphy_unregister, 0xcaef17f2, "");
SYMBOL_CRC(wiphy_free, 0x836d38d2, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x5658b610, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x38b425c8, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x6b6d5c63, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x16325a4b, "");
SYMBOL_CRC(wiphy_work_queue, 0x6df32433, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x6a29abb8, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xbe8c0700, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x794b668d, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0xc3fb97ca, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x4abed7d4, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x0cc95bc2, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0xd001cfa8, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0xb8577de5, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0xe29a5f53, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x4449138e, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x7bc84aa5, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xe1aa22d1, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x2bb08f08, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x429c0c31, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x38cb594a, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0x3643b80f, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x94c90b2f, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xaa3b5eeb, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x55ac977c, "");
SYMBOL_CRC(cfg80211_get_station, 0x0287c412, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x07a6333d, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0xfc4514b6, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x5dccc5d9, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x7dba1758, "");
SYMBOL_CRC(get_wiphy_regdom, 0x60d2db9d, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x1ce2497f, "");
SYMBOL_CRC(freq_reg_info, 0x56de4856, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x26a404ee, "");
SYMBOL_CRC(regulatory_hint, 0xfa30f57f, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x557d2e81, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x4c93eb3b, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x6c1adfe2, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0x9422da25, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x08fbb1dc, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xc0c887d3, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x17627837, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x4ec36f5e, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(cfg80211_get_bss, 0x380ec365, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x83408773, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x8b24e88f, "");
SYMBOL_CRC(cfg80211_defragment_element, 0x53351a48, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x5ef1ee49, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x93f8d6d4, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x1008f95c, "");
SYMBOL_CRC(cfg80211_put_bss, 0xcd937fa4, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x13f37acf, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x6cb3f49c, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0xe06405c4, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0x44efec68, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0x0ee68962, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x1c43d933, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x35ce939d, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x2fa6c5db, "");
SYMBOL_CRC(cfg80211_nan_match, 0x651c0d04, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xb2c67372, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x0cc78c0c, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x1520cf47, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0xcc08087d, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x57c19166, "");
SYMBOL_CRC(cfg80211_links_removed, 0xb8122195, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x50a47706, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xbdebfee6, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x09e4eb36, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x287091b6, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x8ea311ec, "");
SYMBOL_CRC(cfg80211_new_sta, 0xc6b95e2b, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x3514b014, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xba10a3be, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x7df109bd, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x26c455ac, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xdfc350c9, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xc8b6423a, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x99d602a2, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xe2b05c15, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0xb8e42c82, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x4d098b47, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x1d6bbe6d, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xb1a065e6, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xf78705a1, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x74bce14d, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x497c698a, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x0389b770, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x3dbf7c9b, "");
SYMBOL_CRC(cfg80211_probe_status, 0x2a85e353, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x1ab7d7f7, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xf49b2c8d, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x49c1a100, "");
SYMBOL_CRC(cfg80211_ft_event, 0x62aea612, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xa2d2acf3, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x58397c40, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xf5bb7015, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x81882517, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x1f9336ef, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xf24a6140, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xda792c46, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x06117fca, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x140676fc, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xde5ac6f6, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x5cb01b03, "");
SYMBOL_CRC(cfg80211_cac_event, 0x3377e133, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x43161352, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x49edd3e4, "");
SYMBOL_CRC(cfg80211_connect_done, 0x09e9c1b4, "");
SYMBOL_CRC(cfg80211_roamed, 0x9b5dc33d, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x0f4fd193, "");
SYMBOL_CRC(cfg80211_disconnected, 0xb523bb7a, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x06ca71fd, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0xc4b4fc27, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xd97eaad4, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x3927ad93, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x8d8ede0e, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xf54c248f, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0xe79fbcd7, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xd8529d77, "");
SYMBOL_CRC(wdev_chandef, 0x8bf988a3, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x1b82a85a, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x5dd233c4, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xfc35161e, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x9d955344, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0x2545a00c, "");
SYMBOL_CRC(cfg80211_wext_giwname, 0x833df29d, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0xaa1e32e8, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0xc1dbb65a, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0xbe764684, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0xe643b047, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0x4896f617, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0x1d238fd7, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0x76e60b65, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0xe430619c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xa8a08caf, "trace_print_array_seq" },
	{ 0x3f887742, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9da11c55, "verify_pkcs7_signature" },
	{ 0x2b023d2a, "bpf_trace_run4" },
	{ 0xc864907f, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x117fac1d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x99789856, "dev_set_name" },
	{ 0x2b05272a, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x40a62432, "__nla_validate" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2dd8e174, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5db6c0da, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x35f408a5, "bpf_trace_run6" },
	{ 0x2cfafd3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb347d392, "request_firmware" },
	{ 0x881ec066, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x30e4da0c, "device_initialize" },
	{ 0x63210790, "skb_add_rx_frag" },
	{ 0xdc196cef, "genlmsg_put" },
	{ 0xfe8b5a9, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xfeea9e93, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb0634c19, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x49980879, "unregister_netdevice_queue" },
	{ 0x38cb3d6d, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2707033d, "keyring_alloc" },
	{ 0x6d796f0e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa520e406, "device_rename" },
	{ 0x37a108b2, "trace_event_buffer_commit" },
	{ 0x581301cb, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x60b37586, "put_device" },
	{ 0x87717882, "netlink_broadcast" },
	{ 0x6fec5ed1, "net_ns_type_operations" },
	{ 0x738803e6, "strnlen" },
	{ 0x9662202a, "__alloc_skb" },
	{ 0x7c26310, "sysfs_create_link" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x1c00e0c5, "inet_csk_get_port" },
	{ 0xc7af6a20, "key_put" },
	{ 0xd2cfcb53, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xf2591a06, "__dev_get_by_index" },
	{ 0xfc99fe75, "perf_trace_run_bpf_submit" },
	{ 0xe378da12, "_dev_err" },
	{ 0x6415e259, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2ebe4fb6, "request_firmware_nowait" },
	{ 0x5e71e3c9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x67854f14, "device_add" },
	{ 0x59010e2e, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdffd6e38, "init_uts_ns" },
	{ 0xfaed16a1, "platform_device_unregister" },
	{ 0x6e4039b5, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x38a7c3d4, "dev_get_by_index" },
	{ 0xf233cfff, "bpf_trace_run5" },
	{ 0xea1fb1db, "kfree_skb_reason" },
	{ 0x202cadcf, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x638b7401, "skb_push" },
	{ 0x7c74d0c8, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x122dab27, "wireless_send_event" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xc9c7eb6a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x44884beb, "of_find_property" },
	{ 0xdeebd658, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x72c7c5bb, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf8e01933, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1305c591, "bpf_trace_run1" },
	{ 0xc0ee8c60, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xa9a390d1, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2361bf4e, "__pskb_pull_tail" },
	{ 0x7b24e6c0, "netif_rx" },
	{ 0x294e5575, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe064cd9, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad608cf7, "of_prop_next_u32" },
	{ 0xc43d35ec, "bpf_trace_run3" },
	{ 0xaed0790b, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4707fba0, "get_net_ns_by_pid" },
	{ 0xd60991ae, "debugfs_rename" },
	{ 0xeea0399, "strscpy" },
	{ 0x348be795, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x971d97ab, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x557a0c2, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457fdc75, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x84724a0a, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x5a5f70fa, "genl_unregister_family" },
	{ 0x239f2b04, "kmalloc_trace" },
	{ 0x44b9ca44, "page_address" },
	{ 0xea124bd1, "gcd" },
	{ 0xd0d8621b, "strlen" },
	{ 0x95a7fde6, "bpf_trace_run7" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x58028ad6, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x861c12a8, "debugfs_create_dir" },
	{ 0xb2cd44cd, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x238609c7, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x1b776e18, "register_pernet_device" },
	{ 0xa52c57b7, "get_net_ns_by_fd" },
	{ 0xa0d5df01, "class_register" },
	{ 0x117b2de5, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcff3fbc7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8baebefe, "register_netdevice" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "B58A855A90B11F6C5D85EE3");
