#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sst_shim32_write, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_read, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_write64, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_read64, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_read, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_write_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_read_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_forced_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_forced, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_register_poll, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_mailbox_init, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_outbox_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_outbox_read, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_inbox_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_inbox_read, "_gpl", "");

SYMBOL_CRC(sst_shim32_write, 0xe9c6de99, "_gpl");
SYMBOL_CRC(sst_shim32_read, 0x16e86983, "_gpl");
SYMBOL_CRC(sst_shim32_write64, 0x87cdf7d2, "_gpl");
SYMBOL_CRC(sst_shim32_read64, 0xd72a34c2, "_gpl");
SYMBOL_CRC(sst_dsp_shim_write, 0x3bfdaf55, "_gpl");
SYMBOL_CRC(sst_dsp_shim_read, 0x3f752bf9, "_gpl");
SYMBOL_CRC(sst_dsp_shim_write_unlocked, 0x886c071f, "_gpl");
SYMBOL_CRC(sst_dsp_shim_read_unlocked, 0x4ab64e73, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_unlocked, 0x5520912b, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_forced_unlocked, 0xcc8ff788, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits, 0x42836682, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_forced, 0x822135ed, "_gpl");
SYMBOL_CRC(sst_dsp_register_poll, 0x323e20b6, "_gpl");
SYMBOL_CRC(sst_dsp_mailbox_init, 0x7b4d351c, "_gpl");
SYMBOL_CRC(sst_dsp_outbox_write, 0x2f123743, "_gpl");
SYMBOL_CRC(sst_dsp_outbox_read, 0xc81990f0, "_gpl");
SYMBOL_CRC(sst_dsp_inbox_write, 0x80a9cb21, "_gpl");
SYMBOL_CRC(sst_dsp_inbox_read, 0x79febe59, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5db6c0da, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2cfafd3, "__trace_trigger_soft_disabled" },
	{ 0x881ec066, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xfe8b5a9, "trace_event_raw_init" },
	{ 0x2515d7ed, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfeea9e93, "bpf_trace_run2" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x83ce70a0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37a108b2, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfc99fe75, "perf_trace_run_bpf_submit" },
	{ 0xc9c7eb6a, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1305c591, "bpf_trace_run1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x971d97ab, "trace_event_buffer_reserve" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x7598d9c6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A1C69C7BE251758B51D55C0");
